------------------------------------------------------------
-- VHDL FPGAMFO8
-- 2021 5 25 11 12 43
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO8
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAMFO8 Is
  port
  (
    X_1PPS_PARITY : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    A             : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : In    STD_LOGIC_VECTOR(25 Downto 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CRCERR        : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=CRCERR[31..0]
    DELAY         : Out   STD_LOGIC_VECTOR(127 Downto 0);    -- ObjectKind=Port|PrimaryId=DELAY[127..0]
    DELAYERR      : Out   STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=DELAYERR[1..4]
    DO            : Out   STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=DO[7..0]
    DONE          : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DONE
    ENABLE        : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=ENABLE
    ERRC          : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=ERRC[31..0]
    FIXED_DELAY   : Out   STD_LOGIC_VECTOR(127 Downto 0);    -- ObjectKind=Port|PrimaryId=FIXED_DELAY[127..0]
    GPS           : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    LED           : Out   STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=LED[1..4]
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 Downto 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    LOS           : In    STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=LOS[1..4]
    MISSING       : Out   STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=MISSING[1..4]
    PREV_DI       : In    STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=PREV_DI[7..0]
    PREV_DONE     : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_DONE
    PREV_ENABLE   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_ENABLE
    PREV_RDY      : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_RDY
    PREV_START    : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_START
    RDY           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RDY
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    START         : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=START
    SYNCIN        : In    STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=SYNCIN[1..4]
    SYNCOUT       : Out   STD_LOGIC_VECTOR(1 To 4);          -- ObjectKind=Port|PrimaryId=SYNCOUT[1..4]
    UP            : Out   STD_LOGIC_VECTOR(1 To 4)           -- ObjectKind=Port|PrimaryId=UP[1..4]
  );
  attribute MacroCell : boolean;

End FPGAMFO8;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO8 Is
   Component FanoutAddress                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_FOaddr2
      port
      (
        A   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-A[31..0]
        B   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-B[31..0]
        C   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-C[31..0]
        D   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-D[31..0]
        I   : in  STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-I[31..0]
        TOP : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-TOP
      );
   End Component;

   Component FPGAMFO4                                        -- ObjectKind=Sheet Symbol|PrimaryId=DLY1
      port
      (
        X_1PPS_PARITY : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-1PPS_PARITY
        A             : in  STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-A[31..0]
        ADDR          : in  STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ADDR[31..0]
        B             : in  STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-B[31..0]
        CLK           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CLK
        CNT           : in  STD_LOGIC_VECTOR(25 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CNT[25..0]
        CRCERR        : out STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CRCERR[7..0]
        DELAY         : out STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAY[31..0]
        DELAYERR      : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAYERR
        DO            : out STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DO[7..0]
        DONE          : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DONE
        ENABLE        : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ENABLE
        ERRC          : out STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ERRC[7..0]
        FIXED_DELAY   : out STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-FIXED_DELAY[31..0]
        GPS           : in  STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-GPS[31..0]
        LEDA          : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDA
        LEDSYNC       : in  STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDSYNC[3..0]
        LOSA          : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LOSA
        MISSING       : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-MISSING
        PREV_DI       : in  STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DI[7..0]
        PREV_DONE     : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DONE
        PREV_ENABLE   : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_ENABLE
        PREV_RDY      : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_RDY
        PREV_START    : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_START
        RDY           : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RDY
        RST           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RST
        START         : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-START
        SYNCINA       : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCINA
        SYNCOUTA      : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCOUTA
        UP            : out STD_LOGIC                        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-UP
      );
   End Component;


    Signal NamedSignal_1PPS_PARITY    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal NamedSignal_A              : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=A[31..0]
    Signal NamedSignal_ADDR           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    Signal NamedSignal_ADDRA          : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    Signal NamedSignal_ADDRB          : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    Signal NamedSignal_ADDRC          : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    Signal NamedSignal_ADDRD          : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    Signal NamedSignal_B              : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=B[31..0]
    Signal NamedSignal_CLK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT            : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_CRCERR         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal NamedSignal_DELAY          : STD_LOGIC_VECTOR(127 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal NamedSignal_DLYERR         : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=DELAYERR[1..4]
    Signal NamedSignal_ERRC           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[7..0]
    Signal NamedSignal_FIXED_DELAY    : STD_LOGIC_VECTOR(127 Downto 0); -- ObjectKind=Net|PrimaryId=FIXED_DELAY[31..0]
    Signal NamedSignal_GPS            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_LED            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=LED[1..4]
    Signal NamedSignal_LEDSYNC        : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=LEDSYNC[3..0]
    Signal NamedSignal_LOS            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=LOS[1..4]
    Signal NamedSignal_MISSING        : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=MISSING[1..4]
    Signal NamedSignal_RST            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_SYNCIN         : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=SYNCIN[1..4]
    Signal NamedSignal_SYNCOUT        : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=SYNCOUT[1..4]
    Signal NamedSignal_UP             : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=UP[1..4]
    Signal PinSignal_DLY1_CRCERR      : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_DLY1_DELAY       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal PinSignal_DLY1_DELAYERR    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAYERR1
    Signal PinSignal_DLY1_DO          : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLY1_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLY1_ERRC        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[7..0]
    Signal PinSignal_DLY1_FIXED_DELAY : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FIXED_DELAY[31..0]
    Signal PinSignal_DLY1_LEDA        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LED1
    Signal PinSignal_DLY1_MISSING     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MISSING1
    Signal PinSignal_DLY1_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    Signal PinSignal_DLY1_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_START
    Signal PinSignal_DLY1_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLY1_SYNCOUTA    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT1
    Signal PinSignal_DLY1_UP          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP1
    Signal PinSignal_DLY2_CRCERR      : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[15..0]
    Signal PinSignal_DLY2_DELAY       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[63..0]
    Signal PinSignal_DLY2_DELAYERR    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAYERR2
    Signal PinSignal_DLY2_DO          : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLY2_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLY2_ERRC        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[15..0]
    Signal PinSignal_DLY2_FIXED_DELAY : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FIXED_DELAY[63..0]
    Signal PinSignal_DLY2_LEDA        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LED2
    Signal PinSignal_DLY2_MISSING     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MISSING2
    Signal PinSignal_DLY2_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLY2_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLY2_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLY2_SYNCOUTA    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT2
    Signal PinSignal_DLY2_UP          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP2
    Signal PinSignal_DLY3_CRCERR      : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[23..0]
    Signal PinSignal_DLY3_DELAY       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[95..0]
    Signal PinSignal_DLY3_DELAYERR    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAYERR3
    Signal PinSignal_DLY3_DO          : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLY3_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLY3_ERRC        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[23..0]
    Signal PinSignal_DLY3_FIXED_DELAY : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FIXED_DELAY[95..0]
    Signal PinSignal_DLY3_LEDA        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LED3
    Signal PinSignal_DLY3_MISSING     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MISSING3
    Signal PinSignal_DLY3_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLY3_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLY3_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLY3_SYNCOUTA    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT3
    Signal PinSignal_DLY3_UP          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP3
    Signal PinSignal_DLY4_CRCERR      : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[31..0]
    Signal PinSignal_DLY4_DELAY       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[127..0]
    Signal PinSignal_DLY4_DELAYERR    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAYERR4
    Signal PinSignal_DLY4_DO          : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal PinSignal_DLY4_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLY4_ERRC        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[31..0]
    Signal PinSignal_DLY4_FIXED_DELAY : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FIXED_DELAY[127..0]
    Signal PinSignal_DLY4_LEDA        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LED4
    Signal PinSignal_DLY4_MISSING     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MISSING4
    Signal PinSignal_DLY4_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLY4_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLY4_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLY4_SYNCOUTA    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT4
    Signal PinSignal_DLY4_UP          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP4
    Signal PinSignal_U_FOaddr2_A      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    Signal PinSignal_U_FOaddr2_B      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    Signal PinSignal_U_FOaddr2_C      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    Signal PinSignal_U_FOaddr2_D      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    Signal PowerSignal_GND            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

Begin
    U_FOaddr2 : FanoutAddress                                -- ObjectKind=Sheet Symbol|PrimaryId=U_FOaddr2
      Port Map
      (
        A   => PinSignal_U_FOaddr2_A,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-A[31..0]
        B   => PinSignal_U_FOaddr2_B,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-B[31..0]
        C   => PinSignal_U_FOaddr2_C,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-C[31..0]
        D   => PinSignal_U_FOaddr2_D,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-D[31..0]
        I   => NamedSignal_ADDR,                             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-I[31..0]
        TOP => PowerSignal_GND                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-TOP
      );

    DLY4 : FPGAMFO4                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLY4
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-1PPS_PARITY
        A             => NamedSignal_A,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-A[31..0]
        ADDR          => NamedSignal_ADDRD,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ADDR[31..0]
        B             => NamedSignal_B,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-B[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLY4_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CRCERR[7..0]
        DELAY         => PinSignal_DLY4_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAY[31..0]
        DELAYERR      => PinSignal_DLY4_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAYERR
        DO            => PinSignal_DLY4_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DO[7..0]
        DONE          => PinSignal_DLY4_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DONE
        ENABLE        => ENABLE,                             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ENABLE
        ERRC          => PinSignal_DLY4_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ERRC[7..0]
        FIXED_DELAY   => PinSignal_DLY4_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-FIXED_DELAY[31..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-GPS[31..0]
        LEDA          => PinSignal_DLY4_LEDA,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDA
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDSYNC[3..0]
        LOSA          => NamedSignal_LOS(4),                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LOSA
        MISSING       => PinSignal_DLY4_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-MISSING
        PREV_DI       => PinSignal_DLY3_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLY3_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLY4_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLY3_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLY4_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_START
        RDY           => PinSignal_DLY4_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RST
        START         => START,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-START
        SYNCINA       => NamedSignal_SYNCIN(4),              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCINA
        SYNCOUTA      => PinSignal_DLY4_SYNCOUTA,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCOUTA
        UP            => PinSignal_DLY4_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-UP
      );

    DLY3 : FPGAMFO4                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLY3
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-1PPS_PARITY
        A             => NamedSignal_A,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-A[31..0]
        ADDR          => NamedSignal_ADDRC,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ADDR[31..0]
        B             => NamedSignal_B,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-B[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLY3_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CRCERR[7..0]
        DELAY         => PinSignal_DLY3_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAY[31..0]
        DELAYERR      => PinSignal_DLY3_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAYERR
        DO            => PinSignal_DLY3_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DO[7..0]
        DONE          => PinSignal_DLY3_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DONE
        ENABLE        => PinSignal_DLY4_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ENABLE
        ERRC          => PinSignal_DLY3_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ERRC[7..0]
        FIXED_DELAY   => PinSignal_DLY3_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-FIXED_DELAY[31..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-GPS[31..0]
        LEDA          => PinSignal_DLY3_LEDA,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDA
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDSYNC[3..0]
        LOSA          => NamedSignal_LOS(3),                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LOSA
        MISSING       => PinSignal_DLY3_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-MISSING
        PREV_DI       => PinSignal_DLY2_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLY2_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLY3_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLY2_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLY3_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_START
        RDY           => PinSignal_DLY3_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RST
        START         => PinSignal_DLY4_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-START
        SYNCINA       => NamedSignal_SYNCIN(3),              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCINA
        SYNCOUTA      => PinSignal_DLY3_SYNCOUTA,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCOUTA
        UP            => PinSignal_DLY3_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-UP
      );

    DLY2 : FPGAMFO4                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLY2
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-1PPS_PARITY
        A             => NamedSignal_A,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-A[31..0]
        ADDR          => NamedSignal_ADDRB,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ADDR[31..0]
        B             => NamedSignal_B,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-B[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLY2_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CRCERR[7..0]
        DELAY         => PinSignal_DLY2_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAY[31..0]
        DELAYERR      => PinSignal_DLY2_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAYERR
        DO            => PinSignal_DLY2_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DO[7..0]
        DONE          => PinSignal_DLY2_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DONE
        ENABLE        => PinSignal_DLY3_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ENABLE
        ERRC          => PinSignal_DLY2_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ERRC[7..0]
        FIXED_DELAY   => PinSignal_DLY2_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-FIXED_DELAY[31..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-GPS[31..0]
        LEDA          => PinSignal_DLY2_LEDA,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDA
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDSYNC[3..0]
        LOSA          => NamedSignal_LOS(2),                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LOSA
        MISSING       => PinSignal_DLY2_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-MISSING
        PREV_DI       => PinSignal_DLY1_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLY1_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLY2_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLY1_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLY2_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_START
        RDY           => PinSignal_DLY2_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RST
        START         => PinSignal_DLY3_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-START
        SYNCINA       => NamedSignal_SYNCIN(2),              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCINA
        SYNCOUTA      => PinSignal_DLY2_SYNCOUTA,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCOUTA
        UP            => PinSignal_DLY2_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-UP
      );

    DLY1 : FPGAMFO4                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLY1
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-1PPS_PARITY
        A             => A,                                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-A[31..0]
        ADDR          => NamedSignal_ADDRA,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ADDR[31..0]
        B             => B,                                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-B[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLY1_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-CRCERR[7..0]
        DELAY         => PinSignal_DLY1_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAY[31..0]
        DELAYERR      => PinSignal_DLY1_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DELAYERR
        DO            => PinSignal_DLY1_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DO[7..0]
        DONE          => PinSignal_DLY1_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-DONE
        ENABLE        => PinSignal_DLY2_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ENABLE
        ERRC          => PinSignal_DLY1_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-ERRC[7..0]
        FIXED_DELAY   => PinSignal_DLY1_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-FIXED_DELAY[31..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-GPS[31..0]
        LEDA          => PinSignal_DLY1_LEDA,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDA
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LEDSYNC[3..0]
        LOSA          => NamedSignal_LOS(1),                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-LOSA
        MISSING       => PinSignal_DLY1_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-MISSING
        PREV_DI       => PREV_DI,                            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PREV_DONE,                          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLY1_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_ENABLE
        PREV_RDY      => PREV_RDY,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLY1_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-PREV_START
        RDY           => PinSignal_DLY1_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-RST
        START         => PinSignal_DLY2_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-START
        SYNCINA       => NamedSignal_SYNCIN(1),              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCINA
        SYNCOUTA      => PinSignal_DLY1_SYNCOUTA,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-SYNCOUTA
        UP            => PinSignal_DLY1_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO4.SchDoc-UP
      );

    -- Signal Assignments
    ---------------------
    CRCERR                                 <= NamedSignal_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[31..0]
    DELAY                                  <= NamedSignal_DELAY; -- ObjectKind=Net|PrimaryId=DELAY[127..0]
    DELAYERR                               <= NamedSignal_DLYERR; -- ObjectKind=Net|PrimaryId=DELAYERR[1..4]
    DO                                     <= PinSignal_DLY4_DO; -- ObjectKind=Net|PrimaryId=DO[7..0]
    DONE                                   <= PinSignal_DLY4_DONE; -- ObjectKind=Net|PrimaryId=DONE
    ERRC                                   <= NamedSignal_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[31..0]
    FIXED_DELAY                            <= NamedSignal_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=FIXED_DELAY[127..0]
    LED                                    <= NamedSignal_LED; -- ObjectKind=Net|PrimaryId=LED[1..4]
    MISSING                                <= NamedSignal_MISSING; -- ObjectKind=Net|PrimaryId=MISSING[1..4]
    NamedSignal_1PPS_PARITY                <= X_1PPS_PARITY; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    NamedSignal_A                          <= A; -- ObjectKind=Net|PrimaryId=A[31..0]
    NamedSignal_ADDR                       <= ADDR; -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    NamedSignal_ADDRA                      <= PinSignal_U_FOaddr2_A; -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    NamedSignal_ADDRB                      <= PinSignal_U_FOaddr2_B; -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    NamedSignal_ADDRC                      <= PinSignal_U_FOaddr2_C; -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    NamedSignal_ADDRD                      <= PinSignal_U_FOaddr2_D; -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    NamedSignal_B                          <= B; -- ObjectKind=Net|PrimaryId=B[31..0]
    NamedSignal_CLK                        <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT                        <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_CRCERR(15 Downto 8)        <= PinSignal_DLY2_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[15..0]
    NamedSignal_CRCERR(23 Downto 16)       <= PinSignal_DLY3_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[23..0]
    NamedSignal_CRCERR(31 Downto 24)       <= PinSignal_DLY4_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[31..0]
    NamedSignal_CRCERR(7 Downto 0)         <= PinSignal_DLY1_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    NamedSignal_DELAY(127 Downto 96)       <= PinSignal_DLY4_DELAY; -- ObjectKind=Net|PrimaryId=DELAY[127..0]
    NamedSignal_DELAY(31 Downto 0)         <= PinSignal_DLY1_DELAY; -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    NamedSignal_DELAY(63 Downto 32)        <= PinSignal_DLY2_DELAY; -- ObjectKind=Net|PrimaryId=DELAY[63..0]
    NamedSignal_DELAY(95 Downto 64)        <= PinSignal_DLY3_DELAY; -- ObjectKind=Net|PrimaryId=DELAY[95..0]
    NamedSignal_DLYERR(1)                  <= PinSignal_DLY1_DELAYERR; -- ObjectKind=Net|PrimaryId=DELAYERR1
    NamedSignal_DLYERR(2)                  <= PinSignal_DLY2_DELAYERR; -- ObjectKind=Net|PrimaryId=DELAYERR2
    NamedSignal_DLYERR(3)                  <= PinSignal_DLY3_DELAYERR; -- ObjectKind=Net|PrimaryId=DELAYERR3
    NamedSignal_DLYERR(4)                  <= PinSignal_DLY4_DELAYERR; -- ObjectKind=Net|PrimaryId=DELAYERR4
    NamedSignal_ERRC(15 Downto 8)          <= PinSignal_DLY2_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[15..0]
    NamedSignal_ERRC(23 Downto 16)         <= PinSignal_DLY3_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[23..0]
    NamedSignal_ERRC(31 Downto 24)         <= PinSignal_DLY4_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[31..0]
    NamedSignal_ERRC(7 Downto 0)           <= PinSignal_DLY1_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[7..0]
    NamedSignal_FIXED_DELAY(127 Downto 96) <= PinSignal_DLY4_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=FIXED_DELAY[127..0]
    NamedSignal_FIXED_DELAY(31 Downto 0)   <= PinSignal_DLY1_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=FIXED_DELAY[31..0]
    NamedSignal_FIXED_DELAY(63 Downto 32)  <= PinSignal_DLY2_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=FIXED_DELAY[63..0]
    NamedSignal_FIXED_DELAY(95 Downto 64)  <= PinSignal_DLY3_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=FIXED_DELAY[95..0]
    NamedSignal_GPS                        <= GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_LED(1)                     <= PinSignal_DLY1_LEDA; -- ObjectKind=Net|PrimaryId=LED1
    NamedSignal_LED(2)                     <= PinSignal_DLY2_LEDA; -- ObjectKind=Net|PrimaryId=LED2
    NamedSignal_LED(3)                     <= PinSignal_DLY3_LEDA; -- ObjectKind=Net|PrimaryId=LED3
    NamedSignal_LED(4)                     <= PinSignal_DLY4_LEDA; -- ObjectKind=Net|PrimaryId=LED4
    NamedSignal_LEDSYNC                    <= LEDSYNC; -- ObjectKind=Net|PrimaryId=LEDSYNC[3..0]
    NamedSignal_LOS                        <= LOS; -- ObjectKind=Net|PrimaryId=LOS[1..4]
    NamedSignal_MISSING(1)                 <= PinSignal_DLY1_MISSING; -- ObjectKind=Net|PrimaryId=MISSING1
    NamedSignal_MISSING(2)                 <= PinSignal_DLY2_MISSING; -- ObjectKind=Net|PrimaryId=MISSING2
    NamedSignal_MISSING(3)                 <= PinSignal_DLY3_MISSING; -- ObjectKind=Net|PrimaryId=MISSING3
    NamedSignal_MISSING(4)                 <= PinSignal_DLY4_MISSING; -- ObjectKind=Net|PrimaryId=MISSING4
    NamedSignal_RST                        <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_SYNCIN                     <= SYNCIN; -- ObjectKind=Net|PrimaryId=SYNCIN[1..4]
    NamedSignal_SYNCOUT(1)                 <= PinSignal_DLY1_SYNCOUTA; -- ObjectKind=Net|PrimaryId=SYNCOUT1
    NamedSignal_SYNCOUT(2)                 <= PinSignal_DLY2_SYNCOUTA; -- ObjectKind=Net|PrimaryId=SYNCOUT2
    NamedSignal_SYNCOUT(3)                 <= PinSignal_DLY3_SYNCOUTA; -- ObjectKind=Net|PrimaryId=SYNCOUT3
    NamedSignal_SYNCOUT(4)                 <= PinSignal_DLY4_SYNCOUTA; -- ObjectKind=Net|PrimaryId=SYNCOUT4
    NamedSignal_UP(1)                      <= PinSignal_DLY1_UP; -- ObjectKind=Net|PrimaryId=UP1
    NamedSignal_UP(2)                      <= PinSignal_DLY2_UP; -- ObjectKind=Net|PrimaryId=UP2
    NamedSignal_UP(3)                      <= PinSignal_DLY3_UP; -- ObjectKind=Net|PrimaryId=UP3
    NamedSignal_UP(4)                      <= PinSignal_DLY4_UP; -- ObjectKind=Net|PrimaryId=UP4
    PowerSignal_GND                        <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PREV_ENABLE                            <= PinSignal_DLY1_PREV_ENABLE; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    PREV_START                             <= PinSignal_DLY1_PREV_START; -- ObjectKind=Net|PrimaryId=PREV_START
    RDY                                    <= PinSignal_DLY4_RDY; -- ObjectKind=Net|PrimaryId=RDY
    SYNCOUT                                <= NamedSignal_SYNCOUT; -- ObjectKind=Net|PrimaryId=SYNCOUT[1..4]
    UP                                     <= NamedSignal_UP; -- ObjectKind=Net|PrimaryId=UP[1..4]

End Structure;
------------------------------------------------------------

