#include <time.h>
#include <math.h>
#include <string>
#include <iostream>
#include <fstream>
#include <iomanip>
#include "tconv.h"

   using namespace std;

/* define some time constants */
#define TAIatGPSzero	694656019UL
#define LEAPatGPSzero   9
#define SECS_PER_HOUR 	(60 * 60)
#define SECS_PER_DAY 	(SECS_PER_HOUR * 24)

/* define leap year macros */
#define ISLEAP(year) \
  ((year) % 4 == 0 && ((year) % 100 != 0 || (year) % 400 == 0))
#define LEAPS_THRU_END_OF(y) ((y) / 4 - (y) / 100 + (y) / 400)

/* defines conversion coefficients between TAI and UTC */
#define OFFS_YEAR 1972
#define OFFS_LEAP 10
#define OFFS_TAI (((72-58) * 365 + 3) * SECS_PER_DAY + OFFS_LEAP)
#define OFFS_WDAY 6  /*  January 1, 1972 was a Saturday */


   const double PI = 3.14159265358979323846;
   int days;
   unsigned int seconds;

   static const unsigned short int mon_yday[2][13] =
   {
    /* Normal years.  */
   { 0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334, 365 },
    /* Leap years.  */
   { 0, 31, 60, 91, 121, 152, 182, 213, 244, 274, 305, 335, 366 }
   };

   utc_t utc;
   taisec_t tai;
   leap_t leap;
   
   int main(int argc, char **argv)
   {
      cout << "; ROM initialization file for time decoder" << endl;
      cout << "; 32 bit wide 1024 deep (10 bit address)" << endl;
      cout << "; top 6 bits of address for year; lower 4 bits for month" << endl;
      cout << "memory_initialization_radix = 10;" << endl;
      cout << "memory_initialization_vector =";
      for (int i = 0; i < 64; i++) {
         // cout << endl << "; year " << i + 2000;
         cout << endl << 0;
         for (int j = 1; j <= 12; j++) {
	    days = mon_yday[ISLEAP (2000 + i)][j-1] + 365 * (2000+i - OFFS_YEAR) +
	           LEAPS_THRU_END_OF (2000 + i - 1) -
                   LEAPS_THRU_END_OF (OFFS_YEAR - 1);
	    seconds = ((taisec_t) days) * SECS_PER_DAY + OFFS_TAI - TAIatGPSzero + LEAPatGPSzero;
            cout << endl << seconds;
         }
         for (int j = 13; j < 16; j++) {
         cout << endl << 0;
         }
      }
      cout << ";" << endl;
   }
