(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    230680,       4850]
NotebookOptionsPosition[    218370,       4469]
NotebookOutlinePosition[    218816,       4486]
CellTagsIndexPosition[    218773,       4483]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\

CRC\
\>", "Subtitle",
 CellChangeTimes->{{3.409412938355125*^9, 3.40941295718325*^9}},
 Magnification->1.25],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Graphics`Graphics`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.409412962761375*^9, 3.409412999917625*^9}},
 Magnification->1.25],

Cell[CellGroupData[{

Cell["Formulae", "Section",
 CellChangeTimes->{{3.409416761105125*^9, 3.4094167645895*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CrcDiv", "[", 
   RowBox[{"n_", ",", "crc_", ",", "poly_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"first", ",", "reg"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"first", "=", 
      RowBox[{"First", "[", "crc", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"reg", "=", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Drop", "[", 
         RowBox[{"crc", ",", "1"}], "]"}], ",", "n"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"first", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Print", "[", "reg", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", "poly", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"MapThread", "[", 
           RowBox[{"BitXor", ",", 
            RowBox[{"{", 
             RowBox[{"reg", ",", "poly"}], "}"}]}], "]"}], "]"}], ";"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"MapThread", "[", 
        RowBox[{"BitXor", ",", 
         RowBox[{"{", 
          RowBox[{"reg", ",", "poly"}], "}"}]}], "]"}], ",", "reg"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CrcDiv", "[", 
   RowBox[{"n_List", ",", "crc_", ",", "poly_"}], "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"CrcDiv", "[", 
      RowBox[{"#2", ",", "#1", ",", "poly"}], "]"}], "&"}], ",", "crc", ",", 
    "n"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.40941305399575*^9, 3.409413054777*^9}, {
  3.40941310493325*^9, 3.409413118542625*^9}, {3.409413152636375*^9, 
  3.409413277323875*^9}, {3.409413320667625*^9, 3.40941344237075*^9}, {
  3.409413472636375*^9, 3.40941355568325*^9}, {3.40941360618325*^9, 
  3.40941362505825*^9}, {3.40941385662075*^9, 3.4094138722145*^9}, {
  3.409414189605125*^9, 3.409414233902*^9}, {3.409414274417625*^9, 
  3.409414421777*^9}, {3.409414597480125*^9, 3.409414661027*^9}, {
  3.409415800636375*^9, 3.409415803230125*^9}},
 Magnification->1.25],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CrcDivDirect", "[", 
   RowBox[{"n_", ",", "crc_", ",", "poly_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"first", ",", "reg"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"first", "=", 
      RowBox[{"First", "[", "crc", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"reg", "=", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Drop", "[", 
         RowBox[{"crc", ",", "1"}], "]"}], ",", "0"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"BitXor", "[", 
         RowBox[{"first", ",", "n"}], "]"}], "\[Equal]", "1"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Print", "[", "reg", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", "poly", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Print", "[", 
          RowBox[{"MapThread", "[", 
           RowBox[{"BitXor", ",", 
            RowBox[{"{", 
             RowBox[{"reg", ",", "poly"}], "}"}]}], "]"}], "]"}], ";"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"MapThread", "[", 
        RowBox[{"BitXor", ",", 
         RowBox[{"{", 
          RowBox[{"reg", ",", "poly"}], "}"}]}], "]"}], ",", "reg"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CrcDivDirect", "[", 
   RowBox[{"n_List", ",", "crc_", ",", "poly_"}], "]"}], ":=", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"CrcDivDirect", "[", 
      RowBox[{"#2", ",", "#1", ",", "poly"}], "]"}], "&"}], ",", "crc", ",", 
    "n"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.40941305399575*^9, 3.409413054777*^9}, {
   3.40941310493325*^9, 3.409413118542625*^9}, {3.409413152636375*^9, 
   3.409413277323875*^9}, {3.409413320667625*^9, 3.40941344237075*^9}, {
   3.409413472636375*^9, 3.40941355568325*^9}, {3.40941360618325*^9, 
   3.40941362505825*^9}, {3.40941385662075*^9, 3.4094138722145*^9}, {
   3.409414189605125*^9, 3.409414233902*^9}, {3.409414274417625*^9, 
   3.409414421777*^9}, {3.409414597480125*^9, 3.409414661027*^9}, {
   3.409414769652*^9, 3.40941477774575*^9}, {3.409414851667625*^9, 
   3.40941486512075*^9}, 3.409414948761375*^9, {3.4094151177145*^9, 
   3.409415119073875*^9}, {3.40941516743325*^9, 3.409415168402*^9}, {
   3.4094154372145*^9, 3.409415452355125*^9}, {3.409416683527*^9, 
   3.409416683902*^9}},
 Magnification->1.25]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 1: 0xFFFFFFFF", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["2", "32"], "-", "1"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.4288501073650613`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.4288501073963118`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9}],

Cell[BoxData["\<\"ffffffff\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074900627`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501075369387`*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501075681887`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 2: 0xFFFFFFFF00000000", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416801698875*^9}, 
   3.40949643524575*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["2", "32"], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["2", "32"], "-", "1"}], ")"}]}], ",", "2", ",", "64"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.409415770448875*^9, 3.409415780917625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.4094157815895*^9, 3.409416722886375*^9, 
  3.4288501076306896`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4094157815895*^9, 3.409416722886375*^9, 
  3.42885010766194*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.4094157815895*^9, 3.409416722886375*^9, 
  3.4288501077088156`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.4094158242145*^9, 
   3.40941582449575*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.4094157952145*^9, 3.409415825292625*^9}, 
   3.409416722980125*^9, 3.4288501077713165`*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{{3.4094157952145*^9, 3.409415825292625*^9}, 
   3.409416722980125*^9, 3.4288501078025665`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.4094157952145*^9, 3.409415825292625*^9}, 
   3.409416722980125*^9, 3.4288501078494425`*^9}],

Cell[BoxData["\<\"6904bb59\"\>"], "Output",
 CellChangeTimes->{{3.4094157952145*^9, 3.409415825292625*^9}, 
   3.409416722980125*^9, 3.428850107896318*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 3: \"123456789\"", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, 
   3.409496438417625*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"#", ",", "2", ",", "8"}], "]"}], "&"}], "/@", 
    RowBox[{"ToCharacterCode", "[", "\"\<123456789\>\"", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, 
   3.42582721480986*^9, 3.428850107974444*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, 
   3.42582721480986*^9, 3.4288501079900694`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, 
   3.42582721480986*^9, 3.428850108036945*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.4258272159817424`*^9, 
   3.4288501080838203`*^9}],

Cell[BoxData["\<\"466a5b7a\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.4258272159817424`*^9, 
   3.428850108115071*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.4258272159817424`*^9, 
   3.4288501081619463`*^9}],

Cell[BoxData["\<\"376e6e7\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.4258272159817424`*^9, 
   3.428850108193197*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"\"\<0376e6e7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4258272587788916`*^9, 3.425827269763337*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.425827251200718*^9, 3.4258272743102407`*^9}, 
   3.428850108286948*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Flatten", "[", 
  RowBox[{"{", 
   RowBox[{"n", ",", 
    RowBox[{"CrcDivDirect", "[", 
     RowBox[{"n", ",", "crc", ",", "poly"}], "]"}]}], "}"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"%", ",", "crc", ",", "poly"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4258271977472506`*^9, 3.425827210466082*^9}, {
  3.42582730234167*^9, 3.4258273655295744`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.425827212044217*^9, 3.4258272169817486`*^9}, {
   3.425827309997969*^9, 3.4258273661545787`*^9}, 3.4288501083338237`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.425827212044217*^9, 3.4258272169817486`*^9}, {
   3.425827309997969*^9, 3.4258273661545787`*^9}, 3.428850108365074*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 4: \"123456789\" (Ethernet)", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, {
   3.409417179230125*^9, 3.409417185292625*^9}, 3.4094964418395*^9}],

Cell["\<\
Reverse data bits of bytes
Xor final value with 0xFFFFFFFF
Reverse final value
Direct method\
\>", "Text",
 CellChangeTimes->{{3.409417730073875*^9, 3.409417764011375*^9}, {
  3.40941781087075*^9, 3.409417820230125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"#", ",", "2", ",", "8"}], "]"}], "]"}], "&"}], "/@", 
    RowBox[{"ToCharacterCode", "[", "\"\<123456789\>\"", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.4094172003395*^9, 3.409417205652*^9}, {
   3.409417583730125*^9, 3.4094176042145*^9}, {3.40941763493325*^9, 
   3.409417646667625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, 3.4288501084119496`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, 3.428850108427575*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, 3.428850108427575*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"BitXor", "[", 
  RowBox[{
   RowBox[{"Reverse", "[", "%", "]"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409417241292625*^9, 3.40941725805825*^9}, {
   3.4094172895895*^9, 3.4094173704645*^9}, {3.40941743649575*^9, 
   3.409417455511375*^9}, {3.40941768074575*^9, 3.40941768549575*^9}, {
   3.409417717542625*^9, 3.409417719402*^9}, 3.409417807636375*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.428850108458825*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.428850108458825*^9}],

Cell[BoxData["\<\"cbf43926\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.428850108458825*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 5: \"123456789\" & 0xCBF43926 (Ethernet)", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, {
   3.409417179230125*^9, 3.409417185292625*^9}, {3.409417869948875*^9, 
   3.409417889230125*^9}, 3.409496445167625*^9}],

Cell["\<\
Reverse data bits of bytes
Reverse crc value
Direct method
Residual crc value must be 0xC704DD7B\
\>", "Text",
 CellChangeTimes->{{3.409417730073875*^9, 3.409417764011375*^9}, {
  3.40941781087075*^9, 3.409417820230125*^9}, {3.40941870230825*^9, 
  3.40941878637075*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Reverse", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"#", ",", "2", ",", "8"}], "]"}], "]"}], "&"}], "/@", 
      RowBox[{"ToCharacterCode", "[", "\"\<123456789\>\"", "]"}]}], ",", 
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{
        RowBox[{"FromDigits", "[", 
         RowBox[{"\"\<CBF43926\>\"", ",", "16"}], "]"}], ",", "2", ",", 
        "32"}], "]"}], "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.4094172003395*^9, 3.409417205652*^9}, {
   3.409417583730125*^9, 3.4094176042145*^9}, {3.40941763493325*^9, 
   3.409417646667625*^9}, {3.40941793974575*^9, 3.409417997948875*^9}, {
   3.409418399402*^9, 3.40941841830825*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501084900756`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501084900756`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501084900756`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409417241292625*^9, 3.40941725805825*^9}, {
   3.4094172895895*^9, 3.4094173704645*^9}, {3.40941743649575*^9, 
   3.409417455511375*^9}, {3.40941768074575*^9, 3.40941768549575*^9}, {
   3.409417717542625*^9, 3.409417719402*^9}, 3.409417807636375*^9, {
   3.409418629698875*^9, 3.409418666823875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.428850108521326*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.428850108521326*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 6: Test frame (Ethernet)", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
   3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, {
  3.409417179230125*^9, 3.409417185292625*^9}, {3.409417869948875*^9, 
  3.409417889230125*^9}, {3.409495998792625*^9, 3.40949600343325*^9}, {
  3.4094964275895*^9, 3.40949644887075*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", "=", 
  RowBox[{"StringReplace", "[", 
   RowBox[{
   "\"\<00 10 A4 7B EA 80 00 12 34 56 78 90 08 00 45 00 00 2E B3 FE 00 00 80 \
11 05 40 C0 A8 00 2C C0 A8 00 04 04 00 04 00 00 1A 2D E8 00 01 02 03 04 05 06 \
07 08 09 0A 0B 0C 0D 0E 0F 10 11\>\"", ",", 
    RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.409499915448875*^9, 3.40949991849575*^9}}],

Cell[BoxData["\<\"\
0010A47BEA8000123456789008004500002EB3FE000080110540C0A8002CC0A800040400040000\
1A2DE8000102030405060708090A0B0C0D0E0F1011\"\>"], "Output",
 CellChangeTimes->{{3.409499918980125*^9, 3.409499941323875*^9}, 
   3.428850108552576*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "1", "]"}], "=", 
  RowBox[{"s", "<>", 
   RowBox[{"StringReplace", "[", 
    RowBox[{"\"\<00 00 00 00\>\"", ",", 
     RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.40949593468325*^9, 3.40949593674575*^9}, {
   3.409497859855125*^9, 3.409497860917625*^9}, 3.409498250323875*^9, {
   3.409498578277*^9, 3.409498579698875*^9}, {3.40949948293325*^9, 
   3.409499485292625*^9}, {3.409499526230125*^9, 3.40949952718325*^9}, {
   3.409499568323875*^9, 3.40949957074575*^9}, {3.409499927902*^9, 
   3.4094999367145*^9}}],

Cell[BoxData["\<\"\
0010A47BEA8000123456789008004500002EB3FE000080110540C0A8002CC0A800040400040000\
1A2DE8000102030405060708090A0B0C0D0E0F101100000000\"\>"], "Output",
 CellChangeTimes->{
  3.409497861448875*^9, 3.409498151292625*^9, 3.4094982937145*^9, 
   3.40949868437075*^9, {3.40949948624575*^9, 3.409499489136375*^9}, {
   3.40949952787075*^9, 3.40949954043325*^9}, 3.409499571542625*^9, 
   3.409499617511375*^9, 3.409499941386375*^9, 3.428850108583827*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "2", "]"}], "=", 
  RowBox[{"s", "<>", 
   RowBox[{"StringReplace", "[", 
    RowBox[{"\"\<E6 C5 3D B2\>\"", ",", 
     RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.40949826874575*^9, 3.40949828474575*^9}, {
   3.4094985815895*^9, 3.4094985832145*^9}, {3.409499583542625*^9, 
   3.40949958487075*^9}, {3.409499892027*^9, 3.409499908542625*^9}, 
   3.40949993893325*^9}],

Cell[BoxData["\<\"\
0010A47BEA8000123456789008004500002EB3FE000080110540C0A8002CC0A800040400040000\
1A2DE8000102030405060708090A0B0C0D0E0F1011E6C53DB2\"\>"], "Output",
 CellChangeTimes->{{3.409498286730125*^9, 3.4094982947145*^9}, 
   3.40949868443325*^9, 3.4094994892145*^9, 3.40949954049575*^9, 
   3.4094995773395*^9, 3.409499617573875*^9, 3.409499941402*^9, 
   3.428850108599452*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "3", "]"}], "=", 
  RowBox[{
   RowBox[{"StringReplace", "[", 
    RowBox[{"\"\<FF FF FF FF\>\"", ",", 
     RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}], "<>", 
   RowBox[{"ss", "[", "1", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.409498303042625*^9, 3.40949832599575*^9}, {
  3.409498586073875*^9, 3.409498587167625*^9}, {3.409499588105125*^9, 
  3.40949958930825*^9}}],

Cell[BoxData["\<\"\
FFFFFFFF0010A47BEA8000123456789008004500002EB3FE000080110540C0A8002CC0A8000404\
000400001A2DE8000102030405060708090A0B0C0D0E0F101100000000\"\>"], "Output",
 CellChangeTimes->{{3.409498319730125*^9, 3.409498326386375*^9}, 
   3.4094986844645*^9, 3.409499489230125*^9, 3.409499540527*^9, 
   3.409499617605125*^9, 3.40949994143325*^9, 3.4288501086307025`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "4", "]"}], "=", 
  RowBox[{
   RowBox[{"StringReplace", "[", 
    RowBox[{"\"\<FF FF FF FF\>\"", ",", 
     RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}], "<>", 
   RowBox[{"ss", "[", "2", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.409498334448875*^9, 3.409498335948875*^9}, {
  3.409498588667625*^9, 3.409498590355125*^9}, {3.409499591652*^9, 
  3.409499592917625*^9}}],

Cell[BoxData["\<\"\
FFFFFFFF0010A47BEA8000123456789008004500002EB3FE000080110540C0A8002CC0A8000404\
000400001A2DE8000102030405060708090A0B0C0D0E0F1011E6C53DB2\"\>"], "Output",
 CellChangeTimes->{3.409498336323875*^9, 3.40949868449575*^9, 
  3.409499489261375*^9, 3.40949954055825*^9, 3.409499617636375*^9, 
  3.4094999414645*^9, 3.428850108661953*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "5", "]"}], "=", 
  RowBox[{
   RowBox[{"IntegerString", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{
       RowBox[{"BitXor", "[", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           RowBox[{"FromDigits", "[", 
            RowBox[{
             RowBox[{"StringTake", "[", 
              RowBox[{
               RowBox[{"ss", "[", "1", "]"}], ",", "8"}], "]"}], ",", "16"}], 
            "]"}], ",", "2", ",", "32"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"1", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], ",", "2"}], 
      "]"}], ",", "16"}], "]"}], "<>", 
   RowBox[{"StringDrop", "[", 
    RowBox[{
     RowBox[{"ss", "[", "1", "]"}], ",", "8"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.409498378917625*^9, 3.409498417152*^9}, {
  3.409498452480125*^9, 3.40949852324575*^9}, {3.40949859212075*^9, 
  3.409498593527*^9}, {3.40949959618325*^9, 3.4094996012145*^9}}],

Cell[BoxData["\<\"\
ffef5b84EA8000123456789008004500002EB3FE000080110540C0A8002CC0A800040400040000\
1A2DE8000102030405060708090A0B0C0D0E0F101100000000\"\>"], "Output",
 CellChangeTimes->{{3.40949839793325*^9, 3.4094984174645*^9}, {
   3.409498458792625*^9, 3.40949852368325*^9}, 3.409498597011375*^9, 
   3.409498684527*^9, 3.409499489292625*^9, 3.4094995405895*^9, 
   3.409499617652*^9, 3.40949994149575*^9, 3.428850108677578*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", "6", "]"}], "=", 
  RowBox[{
   RowBox[{"IntegerString", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{
       RowBox[{"BitXor", "[", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           RowBox[{"FromDigits", "[", 
            RowBox[{
             RowBox[{"StringTake", "[", 
              RowBox[{
               RowBox[{"ss", "[", "2", "]"}], ",", "8"}], "]"}], ",", "16"}], 
            "]"}], ",", "2", ",", "32"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"1", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], ",", "2"}], 
      "]"}], ",", "16"}], "]"}], "<>", 
   RowBox[{"StringDrop", "[", 
    RowBox[{
     RowBox[{"ss", "[", "2", "]"}], ",", "8"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.409498542948875*^9, 3.40949854837075*^9}, {
  3.40949861030825*^9, 3.409498612542625*^9}, {3.409499604730125*^9, 
  3.4094996098395*^9}}],

Cell[BoxData["\<\"\
ffef5b84EA8000123456789008004500002EB3FE000080110540C0A8002CC0A800040400040000\
1A2DE8000102030405060708090A0B0C0D0E0F1011E6C53DB2\"\>"], "Output",
 CellChangeTimes->{3.409498548917625*^9, 3.40949868455825*^9, 
  3.40949948930825*^9, 3.409499540605125*^9, 3.40949961768325*^9, 
  3.409499941527*^9, 3.4288501087088284`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"nn", "[", "s_", "]"}], ":=", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{"s", ",", "16"}], "]"}], ",", "2", ",", 
     RowBox[{"4", "*", 
      RowBox[{"StringLength", "[", "s", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"crc0", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"crc1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.4094172003395*^9, 3.409417205652*^9}, {
   3.409417583730125*^9, 3.4094176042145*^9}, {3.40941763493325*^9, 
   3.409417646667625*^9}, {3.40941793974575*^9, 3.409417997948875*^9}, {
   3.409418399402*^9, 3.40941841830825*^9}, 3.40949587099575*^9, {
   3.409495946902*^9, 3.40949598955825*^9}, {3.40949861699575*^9, 
   3.40949863105825*^9}, {3.409499010277*^9, 3.40949904830825*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409495960823875*^9, 3.409495989948875*^9}, 
   3.409496037105125*^9, 3.409496136761375*^9, 3.409496417667625*^9, 
   3.4094978337145*^9, 3.40949786449575*^9, 3.409498153980125*^9, 
   3.409498634573875*^9, 3.4094986845895*^9, {3.409499025152*^9, 
   3.40949904887075*^9}, 3.409499489355125*^9, 3.409499540636375*^9, 
   3.4094996177145*^9, 3.40949994155825*^9, 3.428850108740079*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Padding Zero Method", "Subsection",
 CellChangeTimes->{{3.409500201011375*^9, 3.409500203417625*^9}, {
  3.409500247792625*^9, 3.40950025374575*^9}}],

Cell["\<\
Adding 0xFFFFFFFF at the front is equivalent to preload the CRC register with \
ones.\
\>", "Text",
 CellChangeTimes->{{3.409500489902*^9, 3.409500541917625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "1", "]"}], "]"}], ",", "crc1", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.409498676230125*^9}, {
   3.409499057042625*^9, 3.40949908643325*^9}, {3.40949971880825*^9, 
   3.4094997487145*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, {
   3.409499060605125*^9, 3.40949908743325*^9}, 3.409499489402*^9, 
   3.409499540698875*^9, 3.409499617761375*^9, {3.409499735198875*^9, 
   3.409499749261375*^9}, 3.40949994162075*^9, 3.4288501087869544`*^9}],

Cell[BoxData["\<\"656d3bc3\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, {
   3.409499060605125*^9, 3.40949908743325*^9}, 3.409499489402*^9, 
   3.409499540698875*^9, 3.409499617761375*^9, {3.409499735198875*^9, 
   3.409499749261375*^9}, 3.40949994162075*^9, 3.4288501087869544`*^9}],

Cell[BoxData["\<\"9a92c43c\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, {
   3.409499060605125*^9, 3.40949908743325*^9}, 3.409499489402*^9, 
   3.409499540698875*^9, 3.409499617761375*^9, {3.409499735198875*^9, 
   3.409499749261375*^9}, 3.40949994162075*^9, 3.4288501087869544`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "2", "]"}], "]"}], ",", "crc1", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.40949870437075*^9}, 
   3.409499059073875*^9, 3.409499091027*^9, {3.409499739636375*^9, 
   3.409499746042625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949870487075*^9}, 
   3.40949906180825*^9, 3.40949909199575*^9, 3.409499489480125*^9, 
   3.409499540761375*^9, 3.4094996178395*^9, {3.40949974024575*^9, 
   3.409499750886375*^9}, 3.4094999417145*^9, 3.42885010883383*^9}],

Cell[BoxData["\<\"83a80671\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949870487075*^9}, 
   3.40949906180825*^9, 3.40949909199575*^9, 3.409499489480125*^9, 
   3.409499540761375*^9, 3.4094996178395*^9, {3.40949974024575*^9, 
   3.409499750886375*^9}, 3.4094999417145*^9, 3.42885010883383*^9}],

Cell[BoxData["\<\"7c57f98e\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949870487075*^9}, 
   3.40949906180825*^9, 3.40949909199575*^9, 3.409499489480125*^9, 
   3.409499540761375*^9, 3.4094996178395*^9, {3.40949974024575*^9, 
   3.409499750886375*^9}, 3.4094999417145*^9, 3.42885010883383*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "3", "]"}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.409498676230125*^9}, 
   3.409498708527*^9, {3.409499067152*^9, 3.409499093823875*^9}, {
   3.409499753823875*^9, 3.409499757355125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498708886375*^9}, {
   3.409499068511375*^9, 3.409499094386375*^9}, 3.409499489542625*^9, 
   3.4094995408395*^9, 3.409499617917625*^9, 3.409499761386375*^9, 
   3.409499941823875*^9, 3.428850108880706*^9}],

Cell[BoxData["\<\"656d3bc3\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498708886375*^9}, {
   3.409499068511375*^9, 3.409499094386375*^9}, 3.409499489542625*^9, 
   3.4094995408395*^9, 3.409499617917625*^9, 3.409499761386375*^9, 
   3.409499941823875*^9, 3.428850108880706*^9}],

Cell[BoxData["\<\"9a92c43c\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498708886375*^9}, {
   3.409499068511375*^9, 3.409499094386375*^9}, 3.409499489542625*^9, 
   3.4094995408395*^9, 3.409499617917625*^9, 3.409499761386375*^9, 
   3.409499941823875*^9, 3.428850108880706*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "4", "]"}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.409498676230125*^9}, 
   3.4094987118395*^9, 3.409499097573875*^9, 3.40949976624575*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949871205825*^9}, 
   3.409499097823875*^9, 3.40949948962075*^9, 3.409499540902*^9, 
   3.409499617980125*^9, {3.409499763886375*^9, 3.40949976674575*^9}, 
   3.409499941948875*^9, 3.428850108911956*^9}],

Cell[BoxData["\<\"83a80671\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949871205825*^9}, 
   3.409499097823875*^9, 3.40949948962075*^9, 3.409499540902*^9, 
   3.409499617980125*^9, {3.409499763886375*^9, 3.40949976674575*^9}, 
   3.409499941948875*^9, 3.4288501089275813`*^9}],

Cell[BoxData["\<\"7c57f98e\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949871205825*^9}, 
   3.409499097823875*^9, 3.40949948962075*^9, 3.409499540902*^9, 
   3.409499617980125*^9, {3.409499763886375*^9, 3.40949976674575*^9}, 
   3.409499941948875*^9, 3.4288501089275813`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "5", "]"}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.409498676230125*^9}, 
   3.409498719105125*^9, 3.4094991674645*^9, {3.409499387511375*^9, 
   3.409499416792625*^9}, 3.409499769511375*^9, 3.409499839355125*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498719761375*^9}, 
   3.40949916812075*^9, {3.409499389636375*^9, 3.40949941724575*^9}, 
   3.40949948968325*^9, 3.409499540980125*^9, 3.40949961805825*^9, 
   3.409499770636375*^9, 3.40949983993325*^9, 3.409499942042625*^9, 
   3.40950101099575*^9, 3.428850108958832*^9}],

Cell[BoxData["\<\"193ac24d\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498719761375*^9}, 
   3.40949916812075*^9, {3.409499389636375*^9, 3.40949941724575*^9}, 
   3.40949948968325*^9, 3.409499540980125*^9, 3.40949961805825*^9, 
   3.409499770636375*^9, 3.40949983993325*^9, 3.409499942042625*^9, 
   3.40950101099575*^9, 3.428850108974457*^9}],

Cell[BoxData["\<\"e6c53db2\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.409498719761375*^9}, 
   3.40949916812075*^9, {3.409499389636375*^9, 3.40949941724575*^9}, 
   3.40949948968325*^9, 3.409499540980125*^9, 3.40949961805825*^9, 
   3.409499770636375*^9, 3.40949983993325*^9, 3.409499942042625*^9, 
   3.40950101099575*^9, 3.428850108974457*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "6", "]"}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.409496199605125*^9, {3.409498651511375*^9, 3.409498676230125*^9}, 
   3.40949872137075*^9, 3.409499170761375*^9, 3.409499393917625*^9, 
   3.409499772292625*^9, 3.409499856027*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, 
   3.40949872155825*^9, 3.409499171511375*^9, 3.409499394480125*^9, 
   3.409499489761375*^9, 3.409499541042625*^9, 3.409499618136375*^9, 
   3.409499773042625*^9, 3.40949985649575*^9, 3.409499942152*^9, 
   3.40950100368325*^9, 3.4288501090057073`*^9}],

Cell[BoxData["\<\"ffffffff\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, 
   3.40949872155825*^9, 3.409499171511375*^9, 3.409499394480125*^9, 
   3.409499489761375*^9, 3.409499541042625*^9, 3.409499618136375*^9, 
   3.409499773042625*^9, 3.40949985649575*^9, 3.409499942152*^9, 
   3.40950100368325*^9, 3.4288501090057073`*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{
  3.409496200152*^9, 3.409496417761375*^9, 3.40949783587075*^9, 
   3.40949816055825*^9, {3.409498653323875*^9, 3.40949869130825*^9}, 
   3.40949872155825*^9, 3.409499171511375*^9, 3.409499394480125*^9, 
   3.409499489761375*^9, 3.409499541042625*^9, 3.409499618136375*^9, 
   3.409499773042625*^9, 3.40949985649575*^9, 3.409499942152*^9, 
   3.40950100368325*^9, 3.4288501090213327`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Direct Method", "Subsection",
 CellChangeTimes->{{3.409500201011375*^9, 3.409500203417625*^9}}],

Cell["\<\
Complementing the first 32 bits is equivalent to preload the CRC register \
with ones.\
\>", "Text",
 CellChangeTimes->{{3.409500489902*^9, 3.409500565027*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{"nn", "[", 
      RowBox[{"ss", "[", "1", "]"}], "]"}], ",", 
     RowBox[{"-", "32"}]}], "]"}], ",", "crc1", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.409500111573875*^9, 3.40950011249575*^9}, 
   3.409500149292625*^9, {3.409500181448875*^9, 3.40950018943325*^9}, {
   3.409500337511375*^9, 3.409500350886375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409500150152*^9, 3.409500190136375*^9, {3.4095003408395*^9, 
   3.409500351527*^9}, 3.4288501090525827`*^9}],

Cell[BoxData["\<\"193ac24d\"\>"], "Output",
 CellChangeTimes->{
  3.409500150152*^9, 3.409500190136375*^9, {3.4095003408395*^9, 
   3.409500351527*^9}, 3.4288501090525827`*^9}],

Cell[BoxData["\<\"e6c53db2\"\>"], "Output",
 CellChangeTimes->{
  3.409500150152*^9, 3.409500190136375*^9, {3.4095003408395*^9, 
   3.409500351527*^9}, 3.4288501090525827`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "2", "]"}], "]"}], ",", "crc1", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.409500111573875*^9, 3.40950011249575*^9}, {
  3.40950036074575*^9, 3.40950036187075*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4095003627145*^9, 3.4288501090994587`*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4095003627145*^9, 3.4288501091150837`*^9}],

Cell[BoxData["\<\"38fb2284\"\>"], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4095003627145*^9, 3.4288501091150837`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{"nn", "[", 
      RowBox[{"ss", "[", "5", "]"}], "]"}], ",", 
     RowBox[{"-", "32"}]}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.409500111573875*^9, 3.40950011249575*^9}, 
   3.409500149292625*^9, {3.409500181448875*^9, 3.40950018943325*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.409500150152*^9, 3.409500190136375*^9, 3.409500328277*^9,
   3.428850109161959*^9}],

Cell[BoxData["\<\"193ac24d\"\>"], "Output",
 CellChangeTimes->{3.409500150152*^9, 3.409500190136375*^9, 3.409500328277*^9,
   3.428850109161959*^9}],

Cell[BoxData["\<\"e6c53db2\"\>"], "Output",
 CellChangeTimes->{3.409500150152*^9, 3.409500190136375*^9, 3.409500328277*^9,
   3.428850109161959*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"nn", "[", 
    RowBox[{"ss", "[", "6", "]"}], "]"}], ",", "crc0", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.409500111573875*^9, 3.40950011249575*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4288501092088346`*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4288501092244596`*^9}],

Cell[BoxData["\<\"38fb2284\"\>"], "Output",
 CellChangeTimes->{3.409500151777*^9, 3.409500324823875*^9, 
  3.4288501092244596`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 7: \"123456789\" (CITT-16)", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, 
   3.409496438417625*^9, {3.409505997542625*^9, 3.409506002823875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"#", ",", "2", ",", "8"}], "]"}], "&"}], "/@", 
    RowBox[{"ToCharacterCode", "[", "\"\<123456789\>\"", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<1021\>\"", ",", "16"}], "]"}], ",", "2", ",", "16"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "16"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.409506011527*^9, 3.40950605124575*^9}, 
   3.409506490573875*^9, {3.409506721402*^9, 3.409506736105125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, 
   3.428850109240085*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, 
   3.428850109240085*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, 
   3.4288501092557106`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"BitXor", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"i", "\[LessEqual]", "16"}], ",", "1", ",", "0"}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "n", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "16"}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"0", "crc"}], ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409506177292625*^9, 3.409506219652*^9}, {
   3.409506887636375*^9, 3.409506931386375*^9}, {3.409507020448875*^9, 
   3.40950703768325*^9}, 3.40950707549575*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.428850109302586*^9}],

Cell[BoxData["\<\"29b1\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.428850109302586*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.428850109302586*^9}],

Cell[BoxData["\<\"29b1\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.4288501093182116`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"#", ",", "2", ",", "8"}], "]"}], "&"}], "/@", 
      RowBox[{"ToCharacterCode", "[", "\"\<123456789\>\"", "]"}]}], ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{"FromDigits", "[", 
        RowBox[{"\"\<29B1\>\"", ",", "16"}], "]"}], ",", "2", ",", "16"}], 
      "]"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.40950636230825*^9, 3.40950637393325*^9}, {
  3.409506405511375*^9, 3.409506406448875*^9}, {3.4095064479645*^9, 
  3.409506453730125*^9}, {3.40950655405825*^9, 3.409506556230125*^9}, {
  3.409506601902*^9, 3.40950661180825*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4095063749645*^9, 3.409506406698875*^9, {3.40950644912075*^9, 
   3.409506454230125*^9}, 3.40950655662075*^9, {3.409506604761375*^9, 
   3.4095066122145*^9}, 3.409506740167625*^9, 3.409507095261375*^9, 
   3.4288501093338366`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"BitXor", "[", 
    RowBox[{"n", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i", "\[LessEqual]", "16"}], ",", "1", ",", "0"}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "n", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"0", "crc"}], ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409506177292625*^9, 3.409506219652*^9}, {
   3.409506393136375*^9, 3.40950639505825*^9}, {3.4095070919645*^9, 
   3.4095071115895*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{3.409507112277*^9, 3.4288501093650866`*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{3.409507112277*^9, 3.4288501093650866`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{3.409507112277*^9, 3.428850109380712*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{3.409507112277*^9, 3.428850109380712*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 8: 0x0123456789ABCDEF001122334455 (CITT-16)", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, 
   3.409496438417625*^9, {3.409505997542625*^9, 3.409506002823875*^9}, {
   3.409513232792625*^9, 3.40951326830825*^9}, 3.40951337880825*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<0123456789ABCDEF001122334455\>\"", ",", "16"}], "]"}], ",", 
    "2", ",", 
    RowBox[{"128", "-", "16"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<1021\>\"", ",", "16"}], "]"}], ",", "2", ",", "16"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "16"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.409506011527*^9, 3.40950605124575*^9}, 
   3.409506490573875*^9, {3.409506721402*^9, 3.409506736105125*^9}, {
   3.409513283636375*^9, 3.40951330149575*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, {
   3.409513294073875*^9, 3.40951330199575*^9}, 3.4288501093963375`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, {
   3.409513294073875*^9, 3.40951330199575*^9}, 3.4288501093963375`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, {3.40941635680825*^9, 3.409416371386375*^9}, {
   3.409416536167625*^9, 3.409416541948875*^9}, 3.409416723105125*^9, 
   3.409416964073875*^9, 3.4094170223395*^9, 3.409417063073875*^9, {
   3.4095060248395*^9, 3.409506052652*^9}, 3.409506491277*^9, {
   3.409506722152*^9, 3.409506736823875*^9}, 3.409506941730125*^9, {
   3.409513294073875*^9, 3.40951330199575*^9}, 3.4288501094119625`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"BitXor", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"i", "\[LessEqual]", "16"}], ",", "1", ",", "0"}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "n", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "16"}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"0", "crc"}], ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409506177292625*^9, 3.409506219652*^9}, {
   3.409506887636375*^9, 3.409506931386375*^9}, {3.409507020448875*^9, 
   3.40950703768325*^9}, 3.40950707549575*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.409513321917625*^9, 
   3.4288501094275875`*^9}],

Cell[BoxData["\<\"1545\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.409513321917625*^9, 
   3.4288501094432125`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.409513321917625*^9, 
   3.428850109458838*^9}],

Cell[BoxData["\<\"1545\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, {3.40950603768325*^9, 
   3.4095060537145*^9}, {3.409506201886375*^9, 3.40950622005825*^9}, 
   3.40950649449575*^9, {3.40950672455825*^9, 3.409506739042625*^9}, {
   3.409506932605125*^9, 3.4095069424645*^9}, {3.409507023261375*^9, 
   3.40950703830825*^9}, 3.40950707630825*^9, 3.409513321917625*^9, 
   3.428850109458838*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{"FromDigits", "[", 
        RowBox[{"\"\<0123456789ABCDEF001122334455\>\"", ",", "16"}], "]"}], 
       ",", "2", ",", 
       RowBox[{"128", "-", "16"}]}], "]"}], ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{"FromDigits", "[", 
        RowBox[{"\"\<1545\>\"", ",", "16"}], "]"}], ",", "2", ",", "16"}], 
      "]"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.40950636230825*^9, 3.40950637393325*^9}, {
  3.409506405511375*^9, 3.409506406448875*^9}, {3.4095064479645*^9, 
  3.409506453730125*^9}, {3.40950655405825*^9, 3.409506556230125*^9}, {
  3.409506601902*^9, 3.40950661180825*^9}, {3.40951333830825*^9, 
  3.40951336380825*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4095063749645*^9, 3.409506406698875*^9, {3.40950644912075*^9, 
   3.409506454230125*^9}, 3.40950655662075*^9, {3.409506604761375*^9, 
   3.4095066122145*^9}, 3.409506740167625*^9, 3.409507095261375*^9, {
   3.40951334143325*^9, 3.409513364511375*^9}, 3.4288501094900885`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"BitXor", "[", 
    RowBox[{"n", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i", "\[LessEqual]", "16"}], ",", "1", ",", "0"}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "n", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"0", "crc"}], ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409506177292625*^9, 3.409506219652*^9}, {
   3.409506393136375*^9, 3.40950639505825*^9}, {3.4095070919645*^9, 
   3.4095071115895*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409507112277*^9, {3.409513343948875*^9, 3.409513366652*^9}, 
   3.428850109536964*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{
  3.409507112277*^9, {3.409513343948875*^9, 3.409513366652*^9}, 
   3.428850109536964*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.409507112277*^9, {3.409513343948875*^9, 3.409513366652*^9}, 
   3.428850109536964*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{
  3.409507112277*^9, {3.409513343948875*^9, 3.409513366652*^9}, 
   3.428850109536964*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"\"\<1A\>\"", ",", "16"}], "]"}], ",", "2", ",", "8"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.42885034513373*^9, 3.428850362727705*^9}, {
  3.4288505610896187`*^9, 3.4288505649021673`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.428850350555674*^9, 3.428850362977708*^9}, {
  3.4288505620115056`*^9, 3.428850565527176*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 9: Slave Timing", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {3.409416836527*^9,
    3.409416864511375*^9}, {3.40941709999575*^9, 3.409417101417625*^9}, {
   3.409417179230125*^9, 3.409417185292625*^9}, {3.409417869948875*^9, 
   3.409417889230125*^9}, 3.409496445167625*^9, {3.428850120333977*^9, 
   3.428850124380904*^9}, {3.4289232340275*^9, 3.428923236386875*^9}}],

Cell["\<\
Reverse data bits of bytes
Reverse crc value
Direct method
Residual crc value must be 0xC704DD7B\
\>", "Text",
 CellChangeTimes->{{3.409417730073875*^9, 3.409417764011375*^9}, {
  3.40941781087075*^9, 3.409417820230125*^9}, {3.40941870230825*^9, 
  3.40941878637075*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{
      RowBox[{"StringReplace", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "\"\<070071B0 00000000 080000A0 00000000\>\"", " ", "<>", 
         "\[IndentingNewLine]", "\"\<35E17B07 17000000 79DD81C1 00000096\>\"",
          "<>", "\[IndentingNewLine]", 
         "\"\<00000000 00000000 00000000 00000000\>\"", "<>", 
         "\[IndentingNewLine]", "\"\<00000000 00000000 00000000 00000000\>\"",
          "<>", "\[IndentingNewLine]", 
         "\"\<00000000 00000000 00000000 00000000\>\"", "<>", 
         "\[IndentingNewLine]", "\"\<00000000 00000000 00000000 00000000\>\"",
          "<>", "\[IndentingNewLine]", 
         "\"\<00000000 00000000 00000000 00000000\>\"", "<>", 
         "\[IndentingNewLine]", 
         "\"\<00000000 00000000 00000000 8C37E1AE\>\""}], ",", 
        RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}], 
      "\[IndentingNewLine]", ",", "16"}], "]"}], ",", "2", ",", "1024"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.40941634649575*^9, 3.40941637043325*^9}, {
   3.4094165354645*^9, 3.409416541386375*^9}, 3.409416855480125*^9, {
   3.40941690930825*^9, 3.4094169170895*^9}, {3.409416954277*^9, 
   3.40941696355825*^9}, 3.4094170212145*^9, {3.40941706018325*^9, 
   3.409417061323875*^9}, {3.4094172003395*^9, 3.409417205652*^9}, {
   3.409417583730125*^9, 3.4094176042145*^9}, {3.40941763493325*^9, 
   3.409417646667625*^9}, {3.40941793974575*^9, 3.409417997948875*^9}, {
   3.409418399402*^9, 3.40941841830825*^9}, {3.4288502642889447`*^9, 
   3.4288503299460354`*^9}, {3.4288503987281656`*^9, 
   3.4288505584020844`*^9}, {3.428850592949402*^9, 3.428850603137032*^9}, {
   3.428850661262776*^9, 3.428850661887784*^9}, {3.4288507451232243`*^9, 
   3.428850756607746*^9}, {3.4288515744619646`*^9, 3.4288516183375263`*^9}, {
   3.428853087934462*^9, 3.428853120700322*^9}, {3.42892327655875*^9, 
   3.428923320386875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501095682144`*^9, 
   3.428850666731596*^9, {3.428850748373266*^9, 3.4288507570765023`*^9}, {
   3.428851620775058*^9, 3.428851627275141*^9}, 3.4288531258097296`*^9, 
   3.428923325636875*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501095682144`*^9, 
   3.428850666731596*^9, {3.428850748373266*^9, 3.4288507570765023`*^9}, {
   3.428851620775058*^9, 3.428851627275141*^9}, 3.4288531258097296`*^9, 
   3.428923325699375*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409417589948875*^9, 3.409417604855125*^9}, 
   3.4094176470895*^9, 3.409417823355125*^9, {3.4094184040895*^9, 
   3.40941841874575*^9}, 3.40941879387075*^9, 3.4288501095682144`*^9, 
   3.428850666731596*^9, {3.428850748373266*^9, 3.4288507570765023`*^9}, {
   3.428851620775058*^9, 3.428851627275141*^9}, 3.4288531258097296`*^9, 
   3.428923325761875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{"n", ",", "crc", " ", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "32"}]}], "]"}], ",", "crc", " ", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409417241292625*^9, 3.40941725805825*^9}, {
   3.4094172895895*^9, 3.4094173704645*^9}, {3.40941743649575*^9, 
   3.409417455511375*^9}, {3.40941768074575*^9, 3.40941768549575*^9}, {
   3.409417717542625*^9, 3.409417719402*^9}, 3.409417807636375*^9, {
   3.409418629698875*^9, 3.409418666823875*^9}, {3.4288508127022142`*^9, 
   3.4288508677185435`*^9}, {3.4288510583616085`*^9, 
   3.4288510965495977`*^9}, {3.428851149722153*^9, 3.4288511610816736`*^9}, {
   3.428923346011875*^9, 3.4289233462775*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.428850813233471*^9, 3.4288508681560493`*^9}, {
   3.42885105920537*^9, 3.4288510970339785`*^9}, {3.4288511504096622`*^9, 
   3.4288511618629336`*^9}, 3.428851627525144*^9, 3.4288531260441065`*^9, {
   3.428923328480625*^9, 3.428923347043125*^9}}],

Cell[BoxData["\<\"892ffeeb\"\>"], "Output",
 CellChangeTimes->{{3.428850813233471*^9, 3.4288508681560493`*^9}, {
   3.42885105920537*^9, 3.4288510970339785`*^9}, {3.4288511504096622`*^9, 
   3.4288511618629336`*^9}, 3.428851627525144*^9, 3.4288531260441065`*^9, {
   3.428923328480625*^9, 3.42892334705875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.428850813233471*^9, 3.4288508681560493`*^9}, {
   3.42885105920537*^9, 3.4288510970339785`*^9}, {3.4288511504096622`*^9, 
   3.4288511618629336`*^9}, 3.428851627525144*^9, 3.4288531260441065`*^9, {
   3.428923328480625*^9, 3.42892334709*^9}}],

Cell[BoxData["\<\"507de20f\"\>"], "Output",
 CellChangeTimes->{{3.428850813233471*^9, 3.4288508681560493`*^9}, {
   3.42885105920537*^9, 3.4288510970339785`*^9}, {3.4288511504096622`*^9, 
   3.4288511618629336`*^9}, 3.428851627525144*^9, 3.4288531260441065`*^9, {
   3.428923328480625*^9, 3.428923347105625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "32"}]}], "]"}], ",", "crc", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.409417241292625*^9, 3.40941725805825*^9}, {
   3.4094172895895*^9, 3.4094173704645*^9}, {3.40941743649575*^9, 
   3.409417455511375*^9}, {3.40941768074575*^9, 3.40941768549575*^9}, {
   3.409417717542625*^9, 3.409417719402*^9}, 3.409417807636375*^9, {
   3.409418629698875*^9, 3.409418666823875*^9}, {3.428923353949375*^9, 
   3.42892335418375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.4288501096619654`*^9, {
   3.428850725622975*^9, 3.4288507595609093`*^9}, 3.4288516277282715`*^9, 
   3.4288531262472324`*^9, 3.428923354918125*^9}],

Cell[BoxData["\<\"0\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.4288501096619654`*^9, {
   3.428850725622975*^9, 3.4288507595609093`*^9}, 3.4288516277282715`*^9, 
   3.4288531262472324`*^9, 3.42892335493375*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.4288501096619654`*^9, {
   3.428850725622975*^9, 3.4288507595609093`*^9}, 3.4288516277282715`*^9, 
   3.4288531262472324`*^9, 3.428923354980625*^9}],

Cell[BoxData["\<\"8c37e1ae\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094163755895*^9, 3.4094166918395*^9, 3.409416723198875*^9, 
   3.40941702805825*^9, 3.40941706437075*^9, 3.409417259542625*^9, {
   3.409417291167625*^9, 3.409417325886375*^9}, {3.409417361198875*^9, 
   3.40941737080825*^9}, {3.409417438152*^9, 3.4094174558395*^9}, 
   3.409417543761375*^9, 3.409417609980125*^9, 3.409417649261375*^9, 
   3.409417686480125*^9, 3.4094177198395*^9, {3.409417808198875*^9, 
   3.409417823402*^9}, 3.40941845087075*^9, {3.409418620792625*^9, 
   3.409418667167625*^9}, 3.40941879393325*^9, 3.4288501096619654`*^9, {
   3.428850725622975*^9, 3.4288507595609093`*^9}, 3.4288516277282715`*^9, 
   3.4288531262472324`*^9, 3.4289233550275*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 10: Timing Header", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {
  3.42886190944407*^9, 3.4288619169441175`*^9}, {3.4289232415275*^9, 
  3.428923243605625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"nn", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"#", ",", "2", ",", "8"}], "]"}], "]"}], "&"}], "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
      "ToCharacterCode", "[", "\"\<LIGO TIMING SYSTEM VERSION 1.0\\r\\n\>\"", 
       "]"}], "~", "Join", "~", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{
        RowBox[{"FromDigits", "[", 
         RowBox[{"\"\<56e675e3\>\"", ",", "16"}], "]"}], ",", "256", ",", 
        "4"}], "]"}]}], ")"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poly", "=", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"crc", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{"nn", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6781129841570244`*^9, 3.678113005070223*^9}, {
  3.678113051014056*^9, 3.678113108100249*^9}, {3.6781131492396193`*^9, 
  3.67811315033883*^9}, {3.6781132679754257`*^9, 3.678113270821455*^9}, {
  3.6781133042979965`*^9, 3.678113319719236*^9}, {3.6781133549150224`*^9, 
  3.6781134085774117`*^9}, {3.6781134439929247`*^9, 3.6781134634203405`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6781123406588507`*^9, {3.6781129879519405`*^9, 3.6781130057602983`*^9}, {
   3.6781130619143133`*^9, 3.678113075551467*^9}, 3.6781131108017855`*^9, 
   3.678113153004364*^9, 3.678113272318739*^9, {3.6781133059648094`*^9, 
   3.6781133202333393`*^9}, {3.6781133599660606`*^9, 
   3.6781134091755238`*^9}, {3.678113457675007*^9, 3.6781134639144306`*^9}}],

Cell[BoxData["\<\"\
3292e2f2042a92b29272e204ca9aca2aa2b2046aa24aca92f272048c740cb0506a67aec7\"\>"]\
, "Output",
 CellChangeTimes->{
  3.6781123406588507`*^9, {3.6781129879519405`*^9, 3.6781130057602983`*^9}, {
   3.6781130619143133`*^9, 3.678113075551467*^9}, 3.6781131108017855`*^9, 
   3.678113153004364*^9, 3.678113272318739*^9, {3.6781133059648094`*^9, 
   3.6781133202333393`*^9}, {3.6781133599660606`*^9, 
   3.6781134091755238`*^9}, {3.678113457675007*^9, 3.6781134639194303`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6781123406588507`*^9, {3.6781129879519405`*^9, 3.6781130057602983`*^9}, {
   3.6781130619143133`*^9, 3.678113075551467*^9}, 3.6781131108017855`*^9, 
   3.678113153004364*^9, 3.678113272318739*^9, {3.6781133059648094`*^9, 
   3.6781133202333393`*^9}, {3.6781133599660606`*^9, 
   3.6781134091755238`*^9}, {3.678113457675007*^9, 3.6781134639214306`*^9}}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{
  3.6781123406588507`*^9, {3.6781129879519405`*^9, 3.6781130057602983`*^9}, {
   3.6781130619143133`*^9, 3.678113075551467*^9}, 3.6781131108017855`*^9, 
   3.678113153004364*^9, 3.678113272318739*^9, {3.6781133059648094`*^9, 
   3.6781133202333393`*^9}, {3.6781133599660606`*^9, 
   3.6781134091755238`*^9}, {3.678113457675007*^9, 3.678113463924431*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"n", "=", 
  RowBox[{
   RowBox[{"IntegerDigits", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{"\"\<4C\>\"", ",", "16"}], "]"}], ",", "2", ",", "8"}], "]"}], "//",
    "Reverse"}]}], "\[IndentingNewLine]", 
 RowBox[{"n", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"#", ",", "2", ",", "8"}], "]"}], "]"}], "&"}], "/@", 
    RowBox[{
    "ToCharacterCode", "[", "\"\<LIGO TIMING SYSTEM VERSION 1.0\\r\\n\>\"", 
     "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.409413089073875*^9, 3.4094130929645*^9}, {
   3.409413906511375*^9, 3.409413914480125*^9}, {3.4094140452145*^9, 
   3.409414169917625*^9}, {3.409414498073875*^9, 3.409414513542625*^9}, 
   3.409414553792625*^9, 3.409414602542625*^9, 3.409414992230125*^9, {
   3.409415197777*^9, 3.40941524468325*^9}, {3.40941566762075*^9, 
   3.4094156737145*^9}, {3.4288619260691757`*^9, 3.428861951491214*^9}, 
   3.428861983272667*^9, {3.428862024929184*^9, 3.428862025272936*^9}, {
   3.428862122945436*^9, 3.4288621289454746`*^9}, {3.4288621873833485`*^9, 
   3.428862195008397*^9}, {3.4288622453368444`*^9, 3.4288622467431035`*^9}, {
   3.4288624601663446`*^9, 3.4288624615101027`*^9}, {3.4288627731370974`*^9, 
   3.4288627756527386`*^9}, {3.4288634632821393`*^9, 
   3.4288634644071465`*^9}, {3.4288635411732626`*^9, 
   3.4288635797203846`*^9}, {3.4288652368247395`*^9, 
   3.4288652396841335`*^9}, {3.4288657653749976`*^9, 3.428865768609393*^9}, {
   3.4288679053730683`*^9, 3.4288679121387367`*^9}, {3.428868001967437*^9, 
   3.428868003936199*^9}, {3.428868059124052*^9, 3.4288681004211917`*^9}, {
   3.428869066380499*^9, 3.42886909159941*^9}, {3.428869600290166*^9, 
   3.4288696060402026`*^9}, {3.428869699212674*^9, 3.4288697144940214`*^9}, {
   3.4288702863726816`*^9, 3.4288702873726883`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9, {
   3.4288619293973227`*^9, 3.4288619523662195`*^9}, 3.4288619837257953`*^9, 
   3.428862025538563*^9, 3.428862130492359*^9, 3.428862195774027*^9, 
   3.4288622472118564`*^9, 3.4288624623694835`*^9, 3.4288627784808817`*^9, 
   3.428863465110276*^9, {3.4288635453764143`*^9, 3.428863581548521*^9}, 
   3.428865240152886*^9, 3.428865769062521*^9, 3.428867683309147*^9, 
   3.4288679127637405`*^9, 3.428868004514328*^9, 3.428868065577219*^9, 
   3.42886810096807*^9, {3.4288690701148977`*^9, 3.4288690924275403`*^9}, {
   3.4288696010557957`*^9, 3.428869606962084*^9}, 3.428869715197151*^9, {
   3.4288702734038486`*^9, 3.428870290169581*^9}, 3.6779617137482696`*^9, 
   3.6779618467886176`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9, {
   3.4288619293973227`*^9, 3.4288619523662195`*^9}, 3.4288619837257953`*^9, 
   3.428862025538563*^9, 3.428862130492359*^9, 3.428862195774027*^9, 
   3.4288622472118564`*^9, 3.4288624623694835`*^9, 3.4288627784808817`*^9, 
   3.428863465110276*^9, {3.4288635453764143`*^9, 3.428863581548521*^9}, 
   3.428865240152886*^9, 3.428865769062521*^9, 3.428867683309147*^9, 
   3.4288679127637405`*^9, 3.428868004514328*^9, 3.428868065577219*^9, 
   3.42886810096807*^9, {3.4288690701148977`*^9, 3.4288690924275403`*^9}, {
   3.4288696010557957`*^9, 3.428869606962084*^9}, 3.428869715197151*^9, {
   3.4288702734038486`*^9, 3.428870290169581*^9}, 3.6779617137482696`*^9, 
   3.677961846795617*^9}],

Cell[BoxData["\<\"\
3292e2f2042a92b29272e204ca9aca2aa2b2046aa24aca92f272048c740cb050\"\>"], \
"Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9, {
   3.4288619293973227`*^9, 3.4288619523662195`*^9}, 3.4288619837257953`*^9, 
   3.428862025538563*^9, 3.428862130492359*^9, 3.428862195774027*^9, 
   3.4288622472118564`*^9, 3.4288624623694835`*^9, 3.4288627784808817`*^9, 
   3.428863465110276*^9, {3.4288635453764143`*^9, 3.428863581548521*^9}, 
   3.428865240152886*^9, 3.428865769062521*^9, 3.428867683309147*^9, 
   3.4288679127637405`*^9, 3.428868004514328*^9, 3.428868065577219*^9, 
   3.42886810096807*^9, {3.4288690701148977`*^9, 3.4288690924275403`*^9}, {
   3.4288696010557957`*^9, 3.428869606962084*^9}, 3.428869715197151*^9, {
   3.4288702734038486`*^9, 3.428870290169581*^9}, 3.6779617137482696`*^9, 
   3.677961846797617*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9, {
   3.4288619293973227`*^9, 3.4288619523662195`*^9}, 3.4288619837257953`*^9, 
   3.428862025538563*^9, 3.428862130492359*^9, 3.428862195774027*^9, 
   3.4288622472118564`*^9, 3.4288624623694835`*^9, 3.4288627784808817`*^9, 
   3.428863465110276*^9, {3.4288635453764143`*^9, 3.428863581548521*^9}, 
   3.428865240152886*^9, 3.428865769062521*^9, 3.428867683309147*^9, 
   3.4288679127637405`*^9, 3.428868004514328*^9, 3.428868065577219*^9, 
   3.42886810096807*^9, {3.4288690701148977`*^9, 3.4288690924275403`*^9}, {
   3.4288696010557957`*^9, 3.428869606962084*^9}, 3.428869715197151*^9, {
   3.4288702734038486`*^9, 3.428870290169581*^9}, 3.6779617137482696`*^9, 
   3.677961846799618*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414075261375*^9, 3.409414170323875*^9}, 
   3.409414236167625*^9, {3.4094145009645*^9, 3.40941451380825*^9}, 
   3.409414554448875*^9, 3.4094146032145*^9, {3.4094149933395*^9, 
   3.40941501449575*^9}, {3.409415176573875*^9, 3.409415245323875*^9}, 
   3.409415456605125*^9, {3.409415667855125*^9, 3.409415674573875*^9}, 
   3.40941583349575*^9, 3.40941672280825*^9, 3.428850107333811*^9, {
   3.4288619293973227`*^9, 3.4288619523662195`*^9}, 3.4288619837257953`*^9, 
   3.428862025538563*^9, 3.428862130492359*^9, 3.428862195774027*^9, 
   3.4288622472118564`*^9, 3.4288624623694835`*^9, 3.4288627784808817`*^9, 
   3.428863465110276*^9, {3.4288635453764143`*^9, 3.428863581548521*^9}, 
   3.428865240152886*^9, 3.428865769062521*^9, 3.428867683309147*^9, 
   3.4288679127637405`*^9, 3.428868004514328*^9, 3.428868065577219*^9, 
   3.42886810096807*^9, {3.4288690701148977`*^9, 3.4288690924275403`*^9}, {
   3.4288696010557957`*^9, 3.428869606962084*^9}, 3.428869715197151*^9, {
   3.4288702734038486`*^9, 3.428870290169581*^9}, 3.6779617137482696`*^9, 
   3.6779618468016176`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"crc1", "=", 
  RowBox[{"CrcDivDirect", "[", 
   RowBox[{"n", ",", "crc", ",", "poly"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"crc2", "=", 
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"crc3", "=", 
  RowBox[{"Reverse", "[", 
   RowBox[{"CrcDivDirect", "[", 
    RowBox[{"n", ",", "crc", ",", "poly"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"crc4", "=", 
  RowBox[{"BitXor", "[", 
   RowBox[{"%%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.4288633289375296`*^9, 3.4288633353750706`*^9}, {
   3.677961657775159*^9, 3.677961674720087*^9}, {3.677962177777398*^9, 
   3.6779621792093925`*^9}, {3.677962326554959*^9, 3.677962328214384*^9}, {
   3.6779623608137503`*^9, 3.6779623618690567`*^9}, {3.6779624729992647`*^9, 
   3.677962527569686*^9}, {3.677962597940593*^9, 3.677962626971292*^9}, {
   3.6781121652857113`*^9, 3.6781121667250137`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680242558`*^9}],

Cell[BoxData["\<\"709f67a6\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680272565`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680302553`*^9}],

Cell[BoxData["\<\"95985138\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.678112168033256*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.678112168036257*^9}],

Cell[BoxData["\<\"6a67aec7\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680392556`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680422564`*^9}],

Cell[BoxData["\<\"1c8a19a9\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.6781121680452557`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.678112168048256*^9}],

Cell[BoxData["\<\"e375e656\"\>"], "Output",
 CellChangeTimes->{{3.409414183167625*^9, 3.409414261605125*^9}, 
   3.40941442887075*^9, {3.409414506542625*^9, 3.409414517386375*^9}, 
   3.409414604448875*^9, {3.40941464487075*^9, 3.409414665480125*^9}, 
   3.409415016152*^9, 3.409415124761375*^9, {3.409415172073875*^9, 
   3.40941520280825*^9}, 3.40941524730825*^9, 3.409415293480125*^9, 
   3.409415357152*^9, 3.409415457542625*^9, {3.40941565637075*^9, 
   3.40941567568325*^9}, {3.409415819527*^9, 3.4094158344645*^9}, 
   3.4094167228395*^9, 3.4288501074588127`*^9, {3.4288619436942887`*^9, 
   3.428861953459976*^9}, 3.428861985819558*^9, 3.42886202816358*^9, 
   3.4288621396486683`*^9, 3.428862198227168*^9, 3.4288622582119265`*^9, 
   3.428862464838249*^9, 3.4288628333249826`*^9, 3.428863335750073*^9, 
   3.428863466875912*^9, {3.4288635454389153`*^9, 3.428863555438979*^9}, 
   3.428863587736061*^9, 3.4288652430591545`*^9, 3.428865788062643*^9, 
   3.4288676857310376`*^9, 3.4288677304188237`*^9, 3.4288679156075087`*^9, 
   3.4288680066080914`*^9, 3.42886810721811*^9, {3.428869072177411*^9, 
   3.428869094286927*^9}, 3.4288697201034327`*^9, {3.428870265997551*^9, 
   3.4288702902477064`*^9}, 3.428870600780944*^9, 3.6779617138172865`*^9, 
   3.6779621802683263`*^9, 3.6779623288685093`*^9, 3.6779623625537515`*^9, {
   3.6779625188919353`*^9, 3.6779625283398285`*^9}, {3.6779625987288914`*^9, 
   3.677962628692574*^9}, 3.677962853693084*^9, 3.678112168051257*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n2", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"n", ",", "crc2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"n2", ",", "2"}], "]"}], ",", "16"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"crc", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"crcend", "=", 
  RowBox[{"CrcDivDirect", "[", 
   RowBox[{"n2", ",", "crc", ",", "poly"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.677961625254861*^9, 3.677961635902052*^9}, {
  3.677961679014887*^9, 3.6779616814484153`*^9}, {3.67796172911376*^9, 
  3.677961797806538*^9}, {3.677961850553885*^9, 3.677961878212756*^9}, {
  3.6779619612049413`*^9, 3.6779620104377728`*^9}, {3.67796226630418*^9, 
  3.677962311406153*^9}, {3.67796255060458*^9, 3.677962553329094*^9}, {
  3.6779628324134083`*^9, 3.6779628511865673`*^9}}],

Cell[BoxData["\<\"\
3292e2f2042a92b29272e204ca9aca2aa2b2046aa24aca92f272048c740cb0506a67aec7\"\>"]\
, "Output",
 CellChangeTimes->{
  3.6779616823345757`*^9, {3.677961713851287*^9, 3.677961798189601*^9}, {
   3.677961851142567*^9, 3.6779618791170387`*^9}, {3.677961963073532*^9, 
   3.6779620109628725`*^9}, 3.6779621880080647`*^9, {3.6779622986649513`*^9, 
   3.677962330901827*^9}, 3.677962365068756*^9, {3.6779625345174975`*^9, 
   3.6779625550044184`*^9}, {3.6779628335141044`*^9, 3.677962854622166*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6779616823345757`*^9, {3.677961713851287*^9, 3.677961798189601*^9}, {
   3.677961851142567*^9, 3.6779618791170387`*^9}, {3.677961963073532*^9, 
   3.6779620109628725`*^9}, 3.6779621880080647`*^9, {3.6779622986649513`*^9, 
   3.677962330901827*^9}, 3.677962365068756*^9, {3.6779625345174975`*^9, 
   3.6779625550044184`*^9}, {3.6779628335141044`*^9, 3.677962854625168*^9}}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{
  3.6779616823345757`*^9, {3.677961713851287*^9, 3.677961798189601*^9}, {
   3.677961851142567*^9, 3.6779618791170387`*^9}, {3.677961963073532*^9, 
   3.6779620109628725`*^9}, 3.6779621880080647`*^9, {3.6779622986649513`*^9, 
   3.677962330901827*^9}, 3.677962365068756*^9, {3.6779625345174975`*^9, 
   3.6779625550044184`*^9}, {3.6779628335141044`*^9, 3.677962854628167*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example 11: Timing Diagnostics Information", "Section",
 CellChangeTimes->{{3.409416744027*^9, 3.409416788902*^9}, {
  3.42886190944407*^9, 3.4288619169441175`*^9}, {3.428864858119191*^9, 
  3.4288648627129707`*^9}, {3.428923248965*^9, 3.428923260199375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "s", "=", 
   "\"\<4C49474F2054494D494E472053595354454D2056455253494F4E20312E300D0A070011\
B000000000080284A00000000035E178B7000000000000FF3E0000FC4300006CCA00000000FFFF\
FFE000000000FFFF0F000080FF7FFF7F000000000000FFFFFFE0FFFFFFE0FFFFFFE0FFFFFFE0FF\
FFFFE0FFFFFFE0FFFFFFE000000120FFFFFFE0FFFFFFE0FFFFFFE0FFFFFFE0FFFFFFE0FFFFFFE0\
FFFFFFE0FFFFFFE000000A4A00000A4A00000A4A00000A4A00000A4A00000A4A00000A4A000241\
6100000A4A00000A4A00000A4A00000A4A00000A4A00000A4A00000A4A00000A4A09F7DD26E660\
C41400004E6C000E000C0A4400380704E00100004A413434303600000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000070071B000000000080000A00000000035E178B717\
00000079DB81C10000009600000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
00000000000000000000000000000000000000000000000000D24CE8D300000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
A884B1BF\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.4288645353515005`*^9, 3.4288645355233765`*^9}, {
  3.428864685539962*^9, 3.428864776993672*^9}, {3.4288648078219943`*^9, 
  3.428864837353433*^9}, {3.4288650291046605`*^9, 3.4288650302452927`*^9}, {
  3.428870148731176*^9, 3.428870152965578*^9}, {3.4288711237999163`*^9, 
  3.4288711257530537`*^9}, {3.4288719791647654`*^9, 3.4288719821022844`*^9}, {
  3.428873059890432*^9, 3.428873061437317*^9}, {3.42892260437125*^9, 
  3.428922607105625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StringLength", "[", "s", "]"}]], "Input",
 CellChangeTimes->{{3.6782159265215573`*^9, 3.678215938571889*^9}}],

Cell[BoxData["4680"], "Output",
 CellChangeTimes->{{3.6782159327920713`*^9, 3.6782159981315904`*^9}, 
   3.6782162946012435`*^9, 3.6782164494467144`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{
      RowBox[{"FromDigits", "[", 
       RowBox[{"s", ",", "16"}], "]"}], ",", "2", ",", 
      RowBox[{"4", "*", 
       RowBox[{"StringLength", "[", "s", "]"}]}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", " ", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Reverse", "/@", 
     RowBox[{"Partition", "[", 
      RowBox[{"n", ",", "8"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"poly", "=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"\"\<04C11DB7\>\"", ",", "16"}], "]"}], ",", "2", ",", "32"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"crc", "=", 
  RowBox[{"Table", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "32"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4288650561985836`*^9, 3.4288650620579967`*^9}, {
   3.4288682446252394`*^9, 3.4288682545940533`*^9}, {3.4288683023756094`*^9, 
   3.42886830954753*^9}, {3.4288683655010133`*^9, 3.428868381266739*^9}, {
   3.428868427938913*^9, 3.4288684915330696`*^9}, 3.6782162038602924`*^9, 
   3.678216287919195*^9, {3.678216454605832*^9, 3.6782164802655973`*^9}}],

Cell[BoxData["\<\"\
3292e2f2042a92b29272e204ca9aca2aa2b2046aa24aca92f272048c740cb050e000880d000000\
0010a02c050000006e00801e4d0000000000d8ff7c000004420000ff441beeae059fe16700ff9f\
17021beeae050000ffffffff00000000f000000000000000d05ce71906020000d05c0000000000\
00d05c000000000000d05c000000000000d05c000000000000d05c000000000000d05c00000000\
0000d05c000000000000d05c000000000000d05c000000000000d05c000000000000d05c000000\
000000d05c67fe87030000d05c99e1ff010000d05c000000000000d05c00000000000000000000\
00000000000000000000000006b10000521a0c4c4cac0000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
0000000000000000000000000000000000000000000000000000000000000000000000fbfe4536\
\"\>"], "Output",
 CellChangeTimes->{
  3.428864837931562*^9, 3.4288650346671963`*^9, 3.4288650901831765`*^9, 
   3.428865386185071*^9, 3.428868255312808*^9, {3.4288683735010643`*^9, 
   3.4288683816261168`*^9}, 3.428868455267213*^9, 3.4288684926737022`*^9, 
   3.428869530774096*^9, 3.4288701594968696`*^9, 3.42887063296865*^9, 
   3.4288711327218485`*^9, 3.4288719883366995`*^9, 3.4288730715155067`*^9, 
   3.428873276719945*^9, 3.4288736133002243`*^9, 3.428922615699375*^9, 
   3.678215677018183*^9, {3.6782157123902154`*^9, 3.6782157342935843`*^9}, 
   3.67821587372666*^9, {3.6782160098705463`*^9, 3.6782160192539682`*^9}, 
   3.6782162049820194`*^9, 3.6782162971211557`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.428864837931562*^9, 3.4288650346671963`*^9, 3.4288650901831765`*^9, 
   3.428865386185071*^9, 3.428868255312808*^9, {3.4288683735010643`*^9, 
   3.4288683816261168`*^9}, 3.428868455267213*^9, 3.4288684926737022`*^9, 
   3.428869530774096*^9, 3.4288701594968696`*^9, 3.42887063296865*^9, 
   3.4288711327218485`*^9, 3.4288719883366995`*^9, 3.4288730715155067`*^9, 
   3.428873276719945*^9, 3.4288736133002243`*^9, 3.428922615699375*^9, 
   3.678215677018183*^9, {3.6782157123902154`*^9, 3.6782157342935843`*^9}, 
   3.67821587372666*^9, {3.6782160098705463`*^9, 3.6782160192539682`*^9}, 
   3.6782162049820194`*^9, 3.678216297129156*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.428864837931562*^9, 3.4288650346671963`*^9, 3.4288650901831765`*^9, 
   3.428865386185071*^9, 3.428868255312808*^9, {3.4288683735010643`*^9, 
   3.4288683816261168`*^9}, 3.428868455267213*^9, 3.4288684926737022`*^9, 
   3.428869530774096*^9, 3.4288701594968696`*^9, 3.42887063296865*^9, 
   3.4288711327218485`*^9, 3.4288719883366995`*^9, 3.4288730715155067`*^9, 
   3.428873276719945*^9, 3.4288736133002243`*^9, 3.428922615699375*^9, 
   3.678215677018183*^9, {3.6782157123902154`*^9, 3.6782157342935843`*^9}, 
   3.67821587372666*^9, {3.6782160098705463`*^9, 3.6782160192539682`*^9}, 
   3.6782162049820194`*^9, 3.678216297132156*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "8"}]}], "]"}], ",", "crc", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "8"}]}], "]"}], ",", "crc", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Reverse", "[", 
  RowBox[{"CrcDivDirect", "[", 
   RowBox[{
    RowBox[{"Drop", "[", 
     RowBox[{"n", ",", 
      RowBox[{"-", "8"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitNot", "/@", 
   RowBox[{"Reverse", "[", 
    RowBox[{"CrcDivDirect", "[", 
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"n", ",", 
        RowBox[{"-", "8"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}], 
    "]"}]}], "+", "2"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitNot", "/@", 
   RowBox[{"CrcDivDirect", "[", 
    RowBox[{
     RowBox[{"Drop", "[", 
      RowBox[{"n", ",", 
       RowBox[{"-", "8"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}]}], "+", 
  "2"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.4288633289375296`*^9, 3.4288633353750706`*^9}, {
   3.428864945025997*^9, 3.428864975776194*^9}, 3.428865100245741*^9, {
   3.428865376044381*^9, 3.428865376356883*^9}, {3.428870613749777*^9, 
   3.4288706537812834`*^9}, {3.4288734025957503`*^9, 3.42887340565827*^9}, {
   3.428873445830402*^9, 3.4288734551429615`*^9}, {3.428873553893594*^9, 
   3.4288735542060957`*^9}, {3.428922675293125*^9, 3.42892267912125*^9}, {
   3.6782163115763927`*^9, 3.6782163573047705`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163606926365`*^9}],

Cell[BoxData["\<\"46c25d1\"\>"], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163606996374`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163611132307`*^9}],

Cell[BoxData["\<\"c67119c0\"\>"], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.678216361116231*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163614957943`*^9}],

Cell[BoxData["\<\"3988e63\"\>"], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.678216361499795*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163618598633`*^9}],

Cell[BoxData["\<\"fc67719c\"\>"], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163618628654`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163622309337`*^9}],

Cell[BoxData["\<\"398ee63f\"\>"], "Output",
 CellChangeTimes->{
  3.6782157479023867`*^9, 3.6782158794477444`*^9, 3.6782160249085884`*^9, 
   3.6782162091233597`*^9, {3.6782163053671074`*^9, 3.6782163170776186`*^9}, 
   3.6782163622339325`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"BitNot", "/@", 
   RowBox[{"Reverse", "[", 
    RowBox[{"CrcDivDirect", "[", 
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"n", ",", 
        RowBox[{"-", "0"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}], 
    "]"}]}], "+", "2"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6782160726331367`*^9, 3.6782160856596184`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.678216075150609*^9, 3.6782160864443703`*^9}}],

Cell[BoxData["\<\"90752788\"\>"], "Output",
 CellChangeTimes->{{3.678216075150609*^9, 3.6782160864478703`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"BitNot", "/@", 
   RowBox[{"CrcDivDirect", "[", 
    RowBox[{
     RowBox[{"Drop", "[", 
      RowBox[{"n", ",", 
       RowBox[{"-", "0"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}]}], "+", 
  "2"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6782161074563*^9, 3.6782161516541233`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.6782161097677546`*^9, 3.6782161522912464`*^9}}],

Cell[BoxData["\<\"11e4ae09\"\>"], "Output",
 CellChangeTimes->{{3.6782161097677546`*^9, 3.678216152295246*^9}}]
}, Open  ]],

Cell[BoxData["DF7FA26C"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CrcDiv", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "0"}]}], "]"}], ",", "crc", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CrcDivDirect", "[", 
  RowBox[{
   RowBox[{"Drop", "[", 
    RowBox[{"n", ",", 
     RowBox[{"-", "0"}]}], "]"}], ",", "crc", ",", "poly"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BitNot", "/@", 
   RowBox[{"Reverse", "[", 
    RowBox[{"CrcDivDirect", "[", 
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"n", ",", 
        RowBox[{"-", "0"}]}], "]"}], ",", "crc", ",", "poly"}], "]"}], 
    "]"}]}], "+", "2"}], "\[IndentingNewLine]", 
 RowBox[{"IntegerString", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{"%", ",", "2"}], "]"}], ",", "16"}], "]"}]}], "Input",
 CellChangeTimes->{{3.40941387443325*^9, 3.409413893152*^9}, {
   3.409414178527*^9, 3.409414182355125*^9}, 3.409414261105125*^9, 
   3.409414428417625*^9, {3.409414983167625*^9, 3.409414989542625*^9}, {
   3.40941527524575*^9, 3.40941535668325*^9}, {3.4094154803395*^9, 
   3.409415544261375*^9}, {3.4094156158395*^9, 3.409415616605125*^9}, {
   3.40941565524575*^9, 3.409415655573875*^9}, {3.40941581887075*^9, 
   3.409415819027*^9}, {3.4288633289375296`*^9, 3.4288633353750706`*^9}, {
   3.428864945025997*^9, 3.428864975776194*^9}, 3.428865100245741*^9, {
   3.428865376044381*^9, 3.428865376356883*^9}, {3.428870613749777*^9, 
   3.4288706537812834`*^9}, {3.4288734025957503`*^9, 3.42887340565827*^9}, {
   3.428873445830402*^9, 3.4288734551429615`*^9}, {3.428873553893594*^9, 
   3.4288735542060957`*^9}, {3.428922675293125*^9, 3.42892267912125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.6782157159159636`*^9}],

Cell[BoxData["\<\"953b4cd5\"\>"], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.6782157159189634`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.678215716279026*^9}],

Cell[BoxData["\<\"c704dd7b\"\>"], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.6782157162820272`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.6782157166510887`*^9}],

Cell[BoxData["\<\"2144df1c\"\>"], "Output",
 CellChangeTimes->{
  3.4288648758849297`*^9, {3.428864951760415*^9, 3.4288649767137003`*^9}, {
   3.4288650943394527`*^9, 3.4288651014488735`*^9}, {3.42886537668501*^9, 
   3.4288653886694613`*^9}, 3.428868502376889*^9, 3.428869532836609*^9, 
   3.4288701619968853`*^9, {3.4288706083278675`*^9, 3.428870654687539*^9}, 
   3.4288711512375917`*^9, 3.428873081468695*^9, 3.4288732837981153`*^9, 
   3.4288734626117597`*^9, 3.4288735550186005`*^9, 3.42887361809713*^9, 
   3.428922630043125*^9, 3.428922680543125*^9, 3.678208134070756*^9, 
   3.67821571665409*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "s", "=", 
   "\"\<4C49474F2054494D494E472053595354454D2056455253494F4E20312E300D0A070011\
B000000000080534A000000076000178B200000000001BFF3E000020420000FF22D87775A0F987\
E600FFF9E840D87775A00000FFFFFFFF000000000F000000000000000B3AE798604000000B3A00\
00000000000B3A0000000000000B3A0000000000000B3A0000000000000B3A0000000000000B3A\
0000000000000B3A0000000000000B3A0000000000000B3A0000000000000B3A0000000000000B\
3A0000000000000B3AE67FE1C000000B3A9987FF8000000B3A0000000000000B3A000000000000\
00000000000000000000000000000000608D00004A583032323500000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
000000000000000000000000000000000000000000000000000000000000000000000000000000\
DF7FA26C\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.67821560227098*^9, 3.678215667824192*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{900, 1059},
WindowMargins->{{Automatic, 223}, {6, Automatic}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
Magnification->1.25,
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 119, 5, 113, "Subtitle"],
Cell[689, 29, 171, 3, 36, "Input"],
Cell[CellGroupData[{
Cell[885, 36, 91, 1, 86, "Section"],
Cell[979, 39, 2190, 53, 267, "Input"],
Cell[3172, 94, 2541, 60, 267, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5750, 159, 100, 1, 86, "Section"],
Cell[CellGroupData[{
Cell[5875, 164, 927, 23, 87, "Input"],
Cell[6805, 189, 806, 13, 60, "Output"],
Cell[7614, 204, 808, 13, 60, "Output"],
Cell[8425, 219, 808, 13, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9270, 237, 949, 19, 106, "Input"],
Cell[10222, 258, 919, 15, 60, "Output"],
Cell[11144, 275, 570, 8, 36, "Output"],
Cell[11717, 285, 919, 15, 60, "Output"],
Cell[12639, 302, 570, 8, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13258, 316, 136, 2, 86, "Section"],
Cell[CellGroupData[{
Cell[13419, 322, 1051, 26, 87, "Input"],
Cell[14473, 350, 817, 13, 83, "Output"],
Cell[15293, 365, 478, 9, 60, "Output"],
Cell[15774, 376, 481, 9, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16292, 390, 950, 19, 106, "Input"],
Cell[17245, 411, 506, 9, 60, "Output"],
Cell[17754, 422, 157, 2, 36, "Output"],
Cell[17914, 426, 506, 9, 60, "Output"],
Cell[18423, 437, 155, 2, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18627, 445, 221, 3, 86, "Section"],
Cell[CellGroupData[{
Cell[18873, 452, 1294, 29, 83, "Input"],
Cell[20170, 483, 1415, 21, 83, "Output"],
Cell[21588, 506, 997, 16, 60, "Output"],
Cell[22588, 524, 995, 16, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23620, 545, 949, 19, 106, "Input"],
Cell[24572, 566, 1035, 17, 60, "Output"],
Cell[25610, 585, 684, 10, 36, "Output"],
Cell[26297, 597, 1035, 17, 60, "Output"],
Cell[27335, 616, 683, 10, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28055, 631, 250, 6, 36, "Input"],
Cell[28308, 639, 486, 9, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28831, 653, 416, 10, 60, "Input"],
Cell[29250, 665, 1295, 19, 106, "Output"],
Cell[30548, 686, 534, 9, 60, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31131, 701, 276, 3, 86, "Section"],
Cell[31410, 706, 230, 7, 113, "Text"],
Cell[CellGroupData[{
Cell[31665, 717, 1471, 32, 83, "Input"],
Cell[33139, 751, 948, 14, 83, "Output"],
Cell[34090, 767, 526, 9, 60, "Output"],
Cell[34619, 778, 526, 9, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35182, 792, 1183, 24, 83, "Input"],
Cell[36368, 818, 1330, 21, 60, "Output"],
Cell[37701, 841, 1330, 21, 60, "Output"],
Cell[39034, 864, 981, 14, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[40064, 884, 341, 4, 86, "Section"],
Cell[40408, 890, 281, 8, 113, "Text"],
Cell[CellGroupData[{
Cell[40714, 902, 1837, 40, 129, "Input"],
Cell[42554, 944, 1355, 20, 106, "Output"],
Cell[43912, 966, 596, 10, 60, "Output"],
Cell[44511, 978, 596, 10, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45144, 993, 1000, 17, 60, "Input"],
Cell[46147, 1012, 1422, 22, 60, "Output"],
Cell[47572, 1036, 1073, 15, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48694, 1057, 391, 5, 86, "Section"],
Cell[CellGroupData[{
Cell[49110, 1066, 418, 8, 152, "Input"],
Cell[49531, 1076, 251, 4, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49819, 1085, 604, 12, 36, "Input"],
Cell[50426, 1099, 464, 7, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50927, 1111, 460, 10, 36, "Input"],
Cell[51390, 1123, 388, 6, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51815, 1134, 425, 10, 36, "Input"],
Cell[52243, 1146, 377, 5, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52657, 1156, 424, 10, 36, "Input"],
Cell[53084, 1168, 351, 5, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53472, 1178, 1047, 28, 106, "Input"],
Cell[54522, 1208, 432, 6, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54991, 1219, 1008, 28, 106, "Input"],
Cell[56002, 1249, 343, 5, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56382, 1259, 1932, 44, 106, "Input"],
Cell[58317, 1305, 798, 13, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59152, 1323, 155, 2, 59, "Subsection"],
Cell[59310, 1327, 172, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[59507, 1335, 881, 25, 106, "Input"],
Cell[60391, 1362, 758, 13, 60, "Output"],
Cell[61152, 1377, 409, 6, 36, "Output"],
Cell[61564, 1385, 409, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62010, 1396, 879, 25, 106, "Input"],
Cell[62892, 1423, 751, 13, 60, "Output"],
Cell[63646, 1438, 402, 6, 36, "Output"],
Cell[64051, 1446, 402, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64490, 1457, 901, 25, 106, "Input"],
Cell[65394, 1484, 736, 13, 60, "Output"],
Cell[66133, 1499, 387, 6, 36, "Output"],
Cell[66523, 1507, 387, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66947, 1518, 852, 24, 106, "Input"],
Cell[67802, 1544, 732, 13, 60, "Output"],
Cell[68537, 1559, 385, 6, 36, "Output"],
Cell[68925, 1567, 385, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69347, 1578, 925, 25, 106, "Input"],
Cell[70275, 1605, 802, 14, 60, "Output"],
Cell[71080, 1621, 453, 7, 36, "Output"],
Cell[71536, 1630, 453, 7, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72026, 1642, 899, 25, 106, "Input"],
Cell[72928, 1669, 801, 14, 60, "Output"],
Cell[73732, 1685, 452, 7, 36, "Output"],
Cell[74187, 1694, 445, 7, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[74681, 1707, 101, 1, 59, "Subsection"],
Cell[74785, 1710, 170, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[74980, 1718, 969, 27, 106, "Input"],
Cell[75952, 1747, 525, 10, 60, "Output"],
Cell[76480, 1759, 176, 3, 36, "Output"],
Cell[76659, 1764, 176, 3, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76872, 1772, 812, 23, 106, "Input"],
Cell[77687, 1797, 500, 9, 60, "Output"],
Cell[78190, 1808, 151, 2, 36, "Output"],
Cell[78344, 1812, 151, 2, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78532, 1819, 919, 26, 106, "Input"],
Cell[79454, 1847, 497, 9, 60, "Output"],
Cell[79954, 1858, 148, 2, 36, "Output"],
Cell[80105, 1862, 148, 2, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80290, 1869, 765, 22, 106, "Input"],
Cell[81058, 1893, 480, 9, 60, "Output"],
Cell[81541, 1904, 131, 2, 36, "Output"],
Cell[81675, 1908, 131, 2, 36, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81867, 1917, 277, 3, 86, "Section"],
Cell[CellGroupData[{
Cell[82169, 1924, 1401, 30, 83, "Input"],
Cell[83573, 1956, 1527, 23, 83, "Output"],
Cell[85103, 1981, 939, 16, 36, "Output"],
Cell[86045, 1999, 941, 16, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87023, 2020, 1671, 39, 129, "Input"],
Cell[88697, 2061, 1117, 18, 36, "Output"],
Cell[89817, 2081, 932, 13, 36, "Output"],
Cell[90752, 2096, 1117, 18, 36, "Output"],
Cell[91872, 2116, 934, 13, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92843, 2134, 748, 18, 60, "Input"],
Cell[93594, 2154, 1235, 19, 106, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94866, 2178, 1447, 33, 106, "Input"],
Cell[96316, 2213, 287, 6, 36, "Output"],
Cell[96606, 2221, 99, 1, 36, "Output"],
Cell[96708, 2224, 285, 6, 36, "Output"],
Cell[96996, 2232, 97, 1, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[97142, 2239, 364, 4, 137, "Section"],
Cell[CellGroupData[{
Cell[97531, 2247, 1435, 30, 83, "Input"],
Cell[98969, 2279, 1997, 29, 106, "Output"],
Cell[100969, 2310, 986, 16, 36, "Output"],
Cell[101958, 2328, 986, 16, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102981, 2349, 1671, 39, 129, "Input"],
Cell[104655, 2390, 1145, 19, 36, "Output"],
Cell[105803, 2411, 960, 14, 36, "Output"],
Cell[106766, 2427, 1143, 19, 36, "Output"],
Cell[107912, 2448, 958, 14, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108907, 2467, 826, 20, 83, "Input"],
Cell[109736, 2489, 1704, 25, 129, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111477, 2519, 1447, 33, 106, "Input"],
Cell[112927, 2554, 335, 8, 36, "Output"],
Cell[113265, 2564, 147, 3, 36, "Output"],
Cell[113415, 2569, 335, 8, 36, "Output"],
Cell[113753, 2579, 147, 3, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113937, 2587, 293, 7, 36, "Input"],
Cell[114233, 2596, 256, 6, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[114538, 2608, 410, 5, 86, "Section"],
Cell[114951, 2615, 281, 8, 113, "Text"],
Cell[CellGroupData[{
Cell[115257, 2627, 2744, 53, 290, "Input"],
Cell[118004, 2682, 11218, 145, 911, "Output"],
Cell[129225, 2829, 770, 13, 60, "Output"],
Cell[129998, 2844, 770, 13, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130805, 2862, 1542, 30, 106, "Input"],
Cell[132350, 2894, 661, 11, 60, "Output"],
Cell[133014, 2907, 311, 4, 36, "Output"],
Cell[133328, 2913, 657, 11, 60, "Output"],
Cell[133988, 2926, 312, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134337, 2935, 1389, 28, 106, "Input"],
Cell[135729, 2965, 1550, 24, 60, "Output"],
Cell[137282, 2991, 1193, 17, 36, "Output"],
Cell[138478, 3010, 1550, 24, 60, "Output"],
Cell[140031, 3036, 1199, 17, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[141279, 3059, 201, 3, 86, "Section"],
Cell[CellGroupData[{
Cell[141505, 3066, 1803, 46, 198, "Input"],
Cell[143311, 3114, 3465, 47, 267, "Output"],
Cell[146779, 3163, 488, 8, 36, "Output"],
Cell[147270, 3173, 769, 13, 60, "Output"],
Cell[148042, 3188, 418, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148497, 3199, 2429, 51, 152, "Input"],
Cell[150929, 3252, 1246, 20, 36, "Output"],
Cell[152178, 3274, 3857, 53, 244, "Output"],
Cell[156038, 3329, 1208, 18, 36, "Output"],
Cell[157249, 3349, 1497, 23, 60, "Output"],
Cell[158749, 3374, 1499, 23, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160285, 3402, 2475, 58, 244, "Input"],
Cell[162763, 3462, 1831, 27, 60, "Output"],
Cell[164597, 3491, 1482, 20, 36, "Output"],
Cell[166082, 3513, 1831, 27, 60, "Output"],
Cell[167916, 3542, 1480, 20, 36, "Output"],
Cell[169399, 3564, 1829, 27, 60, "Output"],
Cell[171231, 3593, 1482, 20, 36, "Output"],
Cell[172716, 3615, 1831, 27, 60, "Output"],
Cell[174550, 3644, 1482, 20, 36, "Output"],
Cell[176035, 3666, 1829, 27, 60, "Output"],
Cell[177867, 3695, 1480, 20, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179384, 3720, 1171, 29, 129, "Input"],
Cell[180558, 3751, 508, 8, 36, "Output"],
Cell[181069, 3761, 789, 13, 60, "Output"],
Cell[181861, 3776, 440, 6, 36, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[182350, 3788, 265, 3, 86, "Section"],
Cell[182618, 3793, 5350, 71, 1647, "Input"],
Cell[CellGroupData[{
Cell[187993, 3868, 133, 2, 36, "Input"],
Cell[188129, 3872, 153, 2, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[188319, 3879, 1432, 36, 129, "Input"],
Cell[189754, 3917, 5500, 71, 1532, "Output"],
Cell[195257, 3990, 1053, 17, 60, "Output"],
Cell[196313, 4009, 1053, 17, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197403, 4031, 2804, 69, 244, "Input"],
Cell[200210, 4102, 593, 11, 60, "Output"],
Cell[200806, 4115, 243, 4, 36, "Output"],
Cell[201052, 4121, 593, 11, 60, "Output"],
Cell[201648, 4134, 242, 4, 36, "Output"],
Cell[201893, 4140, 593, 11, 60, "Output"],
Cell[202489, 4153, 241, 4, 36, "Output"],
Cell[202733, 4159, 593, 11, 60, "Output"],
Cell[203329, 4172, 244, 4, 36, "Output"],
Cell[203576, 4178, 593, 11, 60, "Output"],
Cell[204172, 4191, 244, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[204453, 4200, 513, 14, 60, "Input"],
Cell[204969, 4216, 460, 8, 60, "Output"],
Cell[205432, 4226, 111, 1, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205580, 4232, 467, 13, 60, "Input"],
Cell[206050, 4247, 462, 8, 60, "Output"],
Cell[206515, 4257, 111, 1, 36, "Output"]
}, Open  ]],
Cell[206641, 4261, 34, 0, 36, "Input"],
Cell[CellGroupData[{
Cell[206700, 4265, 1973, 45, 152, "Input"],
Cell[208676, 4312, 957, 16, 60, "Output"],
Cell[209636, 4330, 608, 9, 36, "Output"],
Cell[210247, 4341, 955, 16, 60, "Output"],
Cell[211205, 4359, 608, 9, 36, "Output"],
Cell[211816, 4370, 957, 16, 60, "Output"],
Cell[212776, 4388, 605, 9, 36, "Output"]
}, Open  ]],
Cell[213396, 4400, 4946, 65, 1647, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
